<?php echo $header; ?><?php echo $column_left; ?>
<div id="content">
  <div class="page-header">
    <div class="container-fluid">
      <div class="pull-right">
        <button type="button" onclick="addss();" form="form-category" data-toggle="tooltip" title="<?php echo $button_save; ?>" class="btn btn-primary"><i class="fa fa-save"></i></button>
        <a href="<?php echo $cancel; ?>" data-toggle="tooltip" title="<?php echo $button_cancel; ?>" class="btn btn-default"><i class="fa fa-reply"></i></a></div>
      <h1><?php echo $heading_title; ?></h1>
      <ul class="breadcrumb">
        <?php foreach ($breadcrumbs as $breadcrumb) { ?>
        <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
        <?php } ?>
      </ul>
    </div>
  </div>
  <div class="container-fluid">
    <?php if ($error_warning) { ?>
    <div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?php echo $error_warning; ?>
      <button type="button" class="close" data-dismiss="alert">&times;</button>
    </div>
    <?php } ?>
    <div class="panel panel-default">
      <div class="panel-heading">
        <h3 class="panel-title"><i class="fa fa-pencil"></i> <?php echo $text_form; ?></h3>
      </div>
      <div class="panel-body">
        <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form-category" class="form-horizontal">
          <ul class="nav nav-tabs">
            <li class="active"><a href="#tab-general" data-toggle="tab"><?php echo $tab_general; ?></a></li>
            <li><a href="#tab-data" data-toggle="tab"><?php echo $tab_data; ?></a></li>
         <li><a href="#tab-rev" data-toggle="tab">Сообщения</a></li>
 
          </ul>
          <div class="tab-content">

            <div class="tab-pane active" id="tab-general">
              <ul class="nav nav-tabs" id="language">
                <?php foreach ($languages as $language) { ?>
                <li><a href="#language<?php echo $language['language_id']; ?>" data-toggle="tab"><img src="language/<?php echo $language['code']; ?>/<?php echo $language['code']; ?>.png" title="<?php echo $language['name']; ?>" /> <?php echo $language['name']; ?></a></li>
                <?php } ?>
              </ul>
              
              <div class="tab-content">
                <?php foreach ($languages as $language) { ?>
                <div class="tab-pane" id="language<?php echo $language['language_id']; ?>">
                  <div class="form-group required">
                    <label class="col-sm-2 control-label" for="input-name<?php echo $language['language_id']; ?>"><?php echo $entry_name; ?></label>
                    <div class="col-sm-10">
                      <input type="text" name="forum_description[<?php echo $language['language_id']; ?>][name]" value="<?php echo isset($forum_description[$language['language_id']]) ? $forum_description[$language['language_id']]['name'] : ''; ?>" placeholder="<?php echo $entry_name; ?>" id="input-name<?php echo $language['language_id']; ?>" class="form-control" />
                      <?php if (isset($error_name[$language['language_id']])) { ?>
                      <div class="text-danger"><?php echo $error_name[$language['language_id']]; ?></div>
                      <?php } ?>
                    </div>
                  </div>
                  <div class="form-group">
                    <label class="col-sm-2 control-label" for="input-description<?php echo $language['language_id']; ?>"><?php echo $entry_description; ?></label>
                    <div class="col-sm-10">
                      <textarea name="forum_description[<?php echo $language['language_id']; ?>][description]" placeholder="<?php echo $entry_description; ?>" id="input-description<?php echo $language['language_id']; ?>" class="form-control"><?php echo isset($forum_description[$language['language_id']]) ? $forum_description[$language['language_id']]['description'] : ''; ?></textarea>
                    </div>
                  </div>
                  <div class="form-group">
                    <label class="col-sm-2 control-label" for="input-meta-title<?php echo $language['language_id']; ?>"><?php echo $entry_meta_title; ?></label>
                    <div class="col-sm-10">
                      <input type="text" name="forum_description[<?php echo $language['language_id']; ?>][meta_title]" value="<?php echo isset($forum_description[$language['language_id']]) ? $forum_description[$language['language_id']]['meta_title'] : ''; ?>" placeholder="<?php echo $entry_meta_title; ?>" id="input-meta-title<?php echo $language['language_id']; ?>" class="form-control" />
                    </div>
                  </div>
                  <div class="form-group">
                    <label class="col-sm-2 control-label" for="input-meta-h1<?php echo $language['language_id']; ?>"><?php echo $entry_meta_h1; ?></label>
                    <div class="col-sm-10">
                      <input type="text" name="forum_description[<?php echo $language['language_id']; ?>][meta_h1]" value="<?php echo isset($forum_description[$language['language_id']]) ? $forum_description[$language['language_id']]['meta_h1'] : ''; ?>" placeholder="<?php echo $entry_meta_h1; ?>" id="input-meta-h1<?php echo $language['language_id']; ?>" class="form-control" />
                    </div>
                  </div>
                  <div class="form-group">
                    <label class="col-sm-2 control-label" for="input-meta-description<?php echo $language['language_id']; ?>"><?php echo $entry_meta_description; ?></label>
                    <div class="col-sm-10">
                      <textarea name="forum_description[<?php echo $language['language_id']; ?>][meta_description]" rows="5" placeholder="<?php echo $entry_meta_description; ?>" id="input-meta-description<?php echo $language['language_id']; ?>" class="form-control"><?php echo isset($forum_description[$language['language_id']]) ? $forum_description[$language['language_id']]['meta_description'] : ''; ?></textarea>
                    </div>
                  </div>
                  <div class="form-group">
                    <label class="col-sm-2 control-label" for="input-meta-keyword<?php echo $language['language_id']; ?>"><?php echo $entry_meta_keyword; ?></label>
                    <div class="col-sm-10">
                      <textarea name="forum_description[<?php echo $language['language_id']; ?>][meta_keyword]" rows="5" placeholder="<?php echo $entry_meta_keyword; ?>" id="input-meta-keyword<?php echo $language['language_id']; ?>" class="form-control"><?php echo isset($forum_description[$language['language_id']]) ? $forum_description[$language['language_id']]['meta_keyword'] : ''; ?></textarea>
                    </div>
                  </div>
                </div>
                <?php } ?>
              </div>
            </div>
            
            <div class="tab-pane" id="tab-data">
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-parent"><?php echo $entry_parent; ?></label>
                <div class="col-sm-10" style="">
                  <input type="text" name="path" value="<?php echo $path; ?>" placeholder="<?php echo $entry_parent; ?>" id="input-parent" class="form-control" />
                  <input type="hidden" name="parent_id" value="<?php echo $parent_id; ?>" />
                </div>
              </div>
              <div id="arent"><?php if($prr) { ?><input type="hidden" id="pr" name="prr" value="<?php echo $prr; ?>" /><?php } ?></div>
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-keyword"><span data-toggle="tooltip" title="<?php echo $help_keyword; ?>"><?php echo $entry_keyword; ?></span></label>
                <div class="col-sm-10">
                  <input type="text" name="keyword" value="<?php echo $keyword; ?>" placeholder="<?php echo $entry_keyword; ?>" id="input-keyword" class="form-control" />
                  <?php if ($error_keyword) { ?>
                  <div class="text-danger"><?php echo $error_keyword; ?></div>
                  <?php } ?>                
                </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label"><?php echo $entry_image; ?></label>
                <div class="col-sm-10"><a href="" id="thumb-image" data-toggle="image" class="img-thumbnail"><img src="<?php echo $thumb; ?>" alt="" title="" data-placeholder="<?php echo $placeholder; ?>" /></a>
                  <input type="hidden" name="image" value="<?php echo $image; ?>" id="input-image" />
                </div>
              </div>
              
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-top"><?php echo $entry_top; ?></label>
                <div class="col-sm-10">
                  <select name="top" id="input-top" class="form-control">
                    <?php if ($top == 3) { ?>
                    <option value="3" selected="selected">РАЗДЕЛ ФОРУМА</option>
                    <?php } else { ?>
                    <option value="3">РАЗДЕЛ ФОРУМА</option>
                    <?php } ?>
                    <?php if ($top == 1) { ?>
                    <option value="1" selected="selected">ФОРУМ</option>
                    <?php } else { ?>
                    <option value="1">ФОРУМ</option>
                    <?php } ?>
                    <?php if ($top == 2) { ?>
                    <option value="2" selected="selected">ТЕМА</option>
                    <?php } else { ?>
                    <option value="2">ТЕМА</option>
                    <?php } ?>
                   </select>
                </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-column"><span data-toggle="tooltip" title="<?php echo $help_column; ?>"><?php echo $entry_column; ?></span></label>
                <div class="col-sm-10">
                  <input type="text" name="column" value="<?php echo $column; ?>" placeholder="<?php echo $entry_column; ?>" id="input-column" class="form-control" />
                </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-sort-order"><?php echo $entry_sort_order; ?></label>
                <div class="col-sm-10">
                  <input type="text" name="sort_order" value="<?php echo $sort_order; ?>" placeholder="<?php echo $entry_sort_order; ?>" id="input-sort-order" class="form-control" />
                </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label" for="input-status"><?php echo $entry_status; ?></label>
                <div class="col-sm-10">
                  <select name="status" id="input-status" class="form-control">
                    <?php if ($status) { ?>
                    <option value="1" selected="selected"><?php echo $text_enabled; ?></option>
                    <option value="0"><?php echo $text_disabled; ?></option>
                    <?php } else { ?>
                    <option value="1"><?php echo $text_enabled; ?></option>
                    <option value="0" selected="selected"><?php echo $text_disabled; ?></option>
                    <?php } ?>
                   </select>
                   <input type="hidden" name="customer_id" value="<?php echo $customer_id; ?>" />
                </div>
              </div>
            </div>
       <?php if($top == 2) { ?>
        <div class="tab-pane" id="tab-rev">
          <div id="review"></div>
          </div>
         <?php } ?>  
            </div>

        </form>
      </div>
   <div class="panel-body">
   <?php if($top == 2) { ?>
       <div class="tab-pane" id="">
           <div class="table-responsive">
               <h3>Сообщении</h3>
               <form class="form-horizontal" id="form-review">
               <div class="panel-forum"><b><?php echo $text_new; ?></b></div>
               <input type="hidden" name="name" value="Админ" />
                  <div class="">
                      <textarea id="editor" name="text" cols="40" rows="8" style="width: 98%;" id="input-review" class="form-control"></textarea>
                      <input type="hidden" name="text2" value="" />
                       <div class="help-block"><?php echo $text_note; ?></div>
                  </div>
              
                 <script>
$(document).ready(function() {
var wbbOpt = {
buttons: "bold,italic,underline,|,fontcolor,fontsize,fontfamily,|,img,link,video,|,code,quote,|,smilebox,spoiler",
clickToEdit: false,
allButtons: {
    quote: {
      transform: {
        '<div class="quote">{SELTEXT}</div>':'[quote]{SELTEXT}[/quote]',
        '<div class="quote v2"><cite class="v1">{AUTHOR} РџРёСЃР°Р»(Р°):</cite>{SELTEXT}</div>':'[quote={AUTHOR}]{SELTEXT}[/quote]'
      }
    }
  }
}
$("#editor").wysibb(wbbOpt);
});
</script>

<script type="text/javascript"><!--
function adds() {
var tt = $("#editor").bbcode();
$('textarea[name=\'text\']').val(tt);
$("#editor").htmlcode('');
}
		//--></script>
               
                <div class="buttons clearfix">
                  <div class="pull-right">
                    <button onclick="adds();" type="button" id="button-review" data-loading-text="<?php echo $text_loading; ?>" class="btn btn-primary"><?php echo $button; ?></button>
                  </div>
                </div>
                
              </form>
              </div>
           </div> 
           <?php } else { ?>
           <div class="help-block">Возможность написание сообщений только для Темы</div>
           <?php } ?>
        </div>
         
    </div>
  </div>
<?php if(isset($forum_id)) { ?>
<style>
.v1 {
font-size: 12px;
padding: 8px 10px;
border-left: 2px solid #989898;
background: #f6f6f6;
background: -moz-linear-gradient(top, #f6f6f6 0%, #e5e5e5 100%);
background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#f6f6f6), color-stop(100%,#e5e5e5));
border-top: 2px solid #e5e5e5;
border-right: 2px solid #e5e5e5;
-moz-border-radius: 5px 5px 0 0;
-webkit-border-radius: 5px 5px 0 0;
border-radius: 5px 5px 0 0;
font-weight: bold;
overflow-x: auto;
margin: 0px;
clear: both;
display: block;
}
.v2 {
font-size: 12px;
padding: 0px 0px 9px;
border: 0px solid #e5e5e5;
border-left: 1px solid #989898;
-moz-border-radius: 5px;
-webkit-border-radius: 5px;
border-radius: 5px;
background: #f7f7f7;
margin: 0 0;
overflow-x: auto;

}
</style>
<script type="text/javascript"><!--
$('#review').delegate('.pagination a', 'click', function(e) {
    e.preventDefault();

    $('#review').fadeOut('slow');

    $('#review').load(this.href);

    $('#review').fadeIn('slow');
});

$('#review').load('index.php?route=catalog/forum/review&token=<?php echo $token; ?>&forum_id=<?php echo $forum_id; ?>');

$('#button-review').on('click', function() {

	$.ajax({
		url: 'index.php?route=catalog/forum/write&token=<?php echo $token; ?>&forum_id=<?php echo $forum_id; ?>',
		type: 'post',
		dataType: 'json',
		data: $("#form-review").serialize(),
		beforeSend: function() {

			$('#button-review').button('loading');
		},
		complete: function() {

			$('#button-review').button('reset');
		},
		success: function(json) {
			$('.alert-success, .alert-danger').remove();

			if (json['error']) {
				$('#review').after('<div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> ' + json['error'] + '</div>');
			}

			if (json['success']) {
				$('#review').after('<div class="alert alert-success"><i class="fa fa-check-circle"></i> ' + json['success'] + '</div>');

				
				$('textarea[name=\'text\']').val('');
				$('#review').load('index.php?route=catalog/forum/review&token=<?php echo $token; ?>&forum_id=<?php echo $forum_id; ?>');
			}
		}
	});
});


//--></script>
<?php } ?>
  <script type="text/javascript"><!--
<?php foreach ($languages as $language) { ?>
<?php if ($ckeditor) { ?>
ckeditorInit('input-description<?php echo $language['language_id']; ?>', '<?php echo $token; ?>');
<?php } else { ?>
$('#input-description<?php echo $language['language_id']; ?>').summernote({
	height: 300,
    lang:'<?php echo $lang; ?>'
});
<?php } ?>
<?php } ?>
//--></script> 
  <script type="text/javascript"><!--
$('input[name=\'path\']').autocomplete({
	'source': function(request, response) {
		$.ajax({
			url: 'index.php?route=catalog/forum/autocomplete&token=<?php echo $token; ?>&filter_name=' +  encodeURIComponent(request),
			dataType: 'json',
			success: function(json) {
				json.unshift({
					category_id: 0,
					name: '<?php echo $text_none; ?>'
				});

				response($.map(json, function(item) {
					return {
						label: item['name'],
						value: item['category_id'],
							top: item['top']
					}
				}));
			}
		});
	},
	'select': function(item) {
		$('input[name=\'path\']').val(item['label']);
		$('input[name=\'parent_id\']').val(item['value']);
		$('#arent').html('<input type="hidden" id="pr" name="prr" value="' + item['top'] + '" />');
	}
});
//--></script> 
  <script type="text/javascript"><!--
$('input[name=\'filter\']').autocomplete({
	'source': function(request, response) {
		$.ajax({
			url: 'index.php?route=catalog/filter/autocomplete&token=<?php echo $token; ?>&filter_name=' +  encodeURIComponent(request),
			dataType: 'json',
			success: function(json) {
				response($.map(json, function(item) {
					return {
						label: item['name'],
						value: item['filter_id']
					
					}
				}));
			}
		});
	},
	'select': function(item) {
		$('input[name=\'filter\']').val('');

		$('#category-filter' + item['value']).remove();

		$('#category-filter').append('<div id="category-filter' + item['value'] + '"><i class="fa fa-minus-circle"></i> ' + item['label'] + '<input type="hidden" name="category_filter[]" value="' + item['value'] + '" /><input type="hidden" name="prr" value="' + item['top'] + '" /></div>');
	}
});

$('#category-filter').delegate('.fa-minus-circle', 'click', function() {
	$(this).parent().remove();
});
//--></script> 
<script type="text/javascript"><!--
function addss() {
var ss = 1;
var pr = $('#pr').val();
if(pr) {pr = pr;} else {pr = 10;}
var to = $('#input-top option:selected').val();
if(to == 1 && pr != 10) {alert('Форум не может быть в другом Форуме, Разделе форума или в Теме'); ss = 0;}
if(to == 3 && pr != 1) {alert('Раздел форума должен относится к Форуму'); ss = 0;}
if(to == 2 && pr != 3) {alert('Тема должна относится к Разделу форума'); ss = 0;}
if(ss != 0) {
$('#form-category').submit();
}
}
//--></script> 
  <script type="text/javascript"><!--
$('#language a:first').tab('show');
//--></script></div>
<?php echo $footer; ?>