<?php echo $header; ?><?php echo $column_left; ?>

<div id="content">
  <div class="page-header">
    <div class="container-fluid">
      <div class="pull-right"><a href="<?php echo $add; ?>" data-toggle="tooltip" title="<?php echo $button_add; ?>" class="btn btn-primary"><i class="fa fa-plus"></i></a>
 <a href="<?php echo $set; ?>" data-toggle="tooltip" title="Настройки" class="btn btn-primary"><i class="fa fa-for"></i></a>
        <button type="button" data-toggle="tooltip" title="<?php echo $button_delete; ?>" class="btn btn-danger" onclick="confirm('<?php echo $text_confirm; ?>') ? $('#form-category').submit() : false;"><i class="fa fa-trash-o"></i></button>
      </div>
      <h1><?php echo $heading_title; ?></h1>
      <ul class="breadcrumb">
        <?php foreach ($breadcrumbs as $breadcrumb) { ?>
        <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
        <?php } ?>
      </ul>
    </div>
  </div>
  <div class="container-fluid">
    <?php if ($error_warning) { ?>
    <div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?php echo $error_warning; ?>
      <button type="button" class="close" data-dismiss="alert">&times;</button>
    </div>
    <?php } ?>
    <?php if ($success) { ?>
    <div class="alert alert-success"><i class="fa fa-check-circle"></i> <?php echo $success; ?>
      <button type="button" class="close" data-dismiss="alert">&times;</button>
    </div>
    <?php } ?>
    <div class="panel panel-default">
      <div class="panel-heading">
        <h3 class="panel-title"><i class="fa fa-list"></i> <?php echo $text_list; ?></h3>
      </div>
      <div class="panel-body">
        <form action="<?php echo $delete; ?>" method="post" enctype="multipart/form-data" id="form-category">
          <div class="table-responsive">
            <table class="table table-bordered table-hover">
              <thead>
                <tr>
                  <td style="width: 1px;" class="text-center"><input type="checkbox" onclick="$('input[name*=\'selected\']').prop('checked', this.checked);" /></td>
                  <td class="text-left">
                    <b><?php echo $column_name; ?></b>
                    </td>
                  <td class="text-right">
                    <b><?php echo $column_sort_order; ?></b>
                   </td>
                  <td class="text-right"><?php echo $column_action; ?></td>
                </tr>
              </thead>
              <tbody>
                <?php if ($forums) { ?>
                <?php foreach ($forums as $forum) { ?>
                <tr style="<?php if($forum['top'] == 1) { ?>background: #b7b7b7;<?php } ?><?php if($forum['top'] == 0) { ?>background: #ecf3e6;<?php } ?>">
                  <td class="text-center"><?php if (in_array($forum['forum_id'], $selected)) { ?>
                    <input type="checkbox" name="selected[]" value="<?php echo $forum['forum_id']; ?>" checked="checked" />
                    <?php } else { ?>
                    <input type="checkbox" name="selected[]" value="<?php echo $forum['forum_id']; ?>" />
                    <?php } ?></td>
                    <?php if ($forum['href']) { ?>
                    <td class="left"><?php echo $forum['indent']; ?><a href="<?php echo $forum['href']; ?>"><?php echo $forum['name']; ?></a></td>
                  <?php } else { ?>
                    <td class="left"><?php echo $forum['indent']; ?><?php echo $forum['name']; ?></td>
                  <?php } ?>
                  <td class="text-right"><?php echo $forum['sort_order']; ?></td>
                  <td class="text-right"><a href="<?php echo $forum['edit']; ?>" data-toggle="tooltip" title="<?php echo $button_edit; ?>" class="btn btn-primary"><i class="fa fa-pencil"></i></a></td>
                </tr>
             <tr></tr>
                <?php } ?>
                <?php } else { ?>
                <tr>
                  <td class="text-center" colspan="4"><?php echo $text_no_results; ?></td>
                </tr>
                <?php } ?>
              </tbody>
            </table>
          </div>
        </form>
        <div class="row">
          <div class="col-sm-6 text-left"><?php echo $pagination; ?></div>
          <div class="col-sm-6 text-right"><?php echo $results; ?></div>
        </div>
      </div>
    </div>
  </div>
</div>
<style>
.fa-for::before {
    content: "\f085";
}
</style>
<?php echo $footer; ?>