<?php
class ControllerInformationForum extends Controller {
	private $error = array();

	public function index() {

    	$this->load->language('information/forum');
        $this->load->model('catalog/category');
        $this->load->model('catalog/forum');
		$this->document->setTitle($this->language->get('heading_title'));
        $this->document->addStyle('catalog/view/theme/default/stylesheet/forum.css');
        $this->document->addScript('catalog/view/javascript/ckeditor/ckeditor.js');
        
        if (isset($this->request->get['page'])) {
			   $page = $this->request->get['page'];
		    } else {
			   $page = 1;
		    }
		    $forum_set = $this->model_catalog_forum->getSet();
		    $limit = $forum_set['set1'];
        
   		$data['breadcrumbs'] = array();

		 $data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_home'),
			'href' => $this->url->link('common/home')
		);

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('heading_title'),
			'href' => $this->url->link('information/forum')
		);


                if(!isset($_SESSION))	{	session_start();	} 
		session_set_cookie_params('0');
		$id = session_id();
		
		$CurrentTime = time();
		$LastTime = time() - 480;
		$base = "system/storage/logs/whoisonline.txt";
		
		if (!file_exists($base))	{
			$fp = fopen($base, "w");
			fclose($fp);
		}
		
		$file = file($base);
		$k = 0;
		$ResFile = array();
		$is_sid_in_file = '';
		for ($i = 0; $i < sizeof($file); $i++) {
			   $line = explode("|", $file[$i]);
			   if ($line[1] > $LastTime) {
					$ResFile[$k] = $file[$i];
					$k++;
			   }
		} 
		
		for ($i = 0; $i<sizeof($ResFile); $i++) {
			$line = explode("|", $ResFile[$i]);
			if ($line[0]==$id) {
				$line[1] = trim($CurrentTime)."\n";
				$is_sid_in_file = 1;
			}
			$line = implode("|", $line);
			$ResFile[$i] = $line;
		} 
		
		$fp = fopen($base, "w");
		for ($i = 0; $i < count ($ResFile); $i++) {
			fputs($fp, $ResFile[$i]);
		}
		fclose($fp);
		
		if (!$is_sid_in_file) {
			  $fp = fopen($base, "a-");
			  $line = $id."|".$CurrentTime."\n";
			  fputs($fp, $line);
			  fclose($fp);
		}
		
		$file = file($base);
		$who = sizeof($file);
		$textwho = 'W0'.$who;
		$who2 = substr($textwho, -2);
		$who1 = substr($textwho, -1);
		if ($this->session->data['language'] == "ru")	{
			if (($who2 > 0 && $who2 < 4) | $who2 > 20)	{
				if ($who1 == 1)	{
					$text_count_users = $this->language->get('text_user1');
				}	else	{
					$text_count_users = $this->language->get('text_user2');
				}
			}	else	{
				$text_count_users = $this->language->get('text_user3');
			}
		}	else	{
			if ($who == 1)	{
				$text_count_users = $this->language->get('text_user1');
			}	else	{
				$text_count_users = $this->language->get('text_user2');
			}
		}
		$data['whoisonline'] = $who.$text_count_users;
		$data['text_user0'] = $this->language->get('text_user0');
		$data['text_user0x'] = $this->language->get('text_user0x');
		$data['heading_title'] = $this->language->get('heading_title');
        $total1 = $this->language->get('total1');
        $total2 = $this->language->get('total2');
        $total3 = $this->language->get('total3');
		$data['button_submit'] = $this->language->get('button_submit');

        require_once(DIR_SYSTEM . 'library/bbcode/Parser.php');

		$this->load->model('tool/image');

        $data['forums'] = array();
        $forum_total = $this->model_catalog_forum->getTotalForums(0);
		$forums = $this->model_catalog_forum->getForums(0);

		foreach ($forums as $forum) {
		    if (isset($this->request->get['page']) && $this->request->get['f'] == $forum['forum_id']) {
		       $page =  $this->request->get['page'];
		    } else {
		        $page = 1;
		    }
		  if ($forum['top']) {
				// Level 2
				$children_data2 = array();
                $forum_total2 = $this->model_catalog_forum->getTotalForums($forum['forum_id']);
				$children2 = $this->model_catalog_forum->getForums($forum['forum_id'], ($page - 1) * $limit, $limit);

				foreach ($children2 as $child) {
					$filter_data = array(
						'filter_category_id'  => $child['forum_id'],
						'filter_sub_category' => true
					);
					$total2 = $this->model_catalog_forum->getTotalForums($child['forum_id']);
                    $texts = $this->model_catalog_forum->getFormes($child['forum_id']);
                    $ww = $this->model_catalog_forum->getTotalReviews($child['forum_id']);
                    
                    if($texts) {
                        foreach ($texts as $text) {
                             if($text['customer_id'] != 0) {
                                  $users = $this->model_catalog_forum->getUser($text['customer_id']);
                                           foreach ($users as $user) {
                                                    if (isset($user['avatar'])) {
                                                              $images = $user['avatar'];
                                                    } else {
                                                              $images = $this->model_tool_image->resize('user.png', 90, 90);
                                                    }
                                            } 
                              } else {
                                  $images = $this->model_tool_image->resize('admin.jpg', 90, 90);
                              }

                              $date = date($this->language->get('date_format_short'), strtotime($text['date_added']));  
                              $author = $text['name'];
                              $forum_inf = $this->model_catalog_forum->getForum($text['text_id']);
                              $newtext = $forum_inf['name'];
                              $href_av = $this->url->link('information/forum_form', 'form=' . $text['text_id']);
                    }
            } else {
                $date = '';
                $author = '';
                $newtext = '';
                $images = false;
                $href_av = false;
            }

          $rev_total = $this->model_catalog_forum->getTotalReviewsByCatId($child['forum_id']);
          $text = $this->language->get('total1'); 
          if($rev_total == 1) { $text = $this->language->get('total2'); }
          if($rev_total > 1 && $rev_total <5) { $text = $this->language->get('total3'); }
		  $children_data2[] = array(
						'name'  => $child['name'],
                        'image'        => $this->model_tool_image->resize($child['image'], 30, 30),
                        'razdels'    =>  $total2,
                         'text'       =>   $newtext,
                         'author'     => $author,
                         'date'       =>   $date,
                         'images'     => $images,
                        // 'total'     =>  $rev_total . $text,
                         'total'     =>  $ww,
                         'date_added'     =>  date($this->language->get('date_format_short'), strtotime($forum['date_added'])),
                         'href_av'  => $href_av,
						 'href'  => $this->url->link('information/forum_form', 'form=' . $child['forum_id'])
					);
		}
		
		    $pagination = new Pagination();
			$pagination->total = $forum_total2;
			$pagination->page = $page;
			$pagination->limit = $limit;
			$pagination->url = $this->url->link('information/forum', 'f=' . $forum['forum_id'] . '&page={page}');

			$pagination = $pagination->render();

			$results = sprintf($this->language->get('text_pagination'), ($forum_total2) ? (($page - 1) * $limit) + 1 : 0, ((($page - 1) * $limit) > ($forum_total2 - $limit)) ? $forum_total2 : ((($page - 1) * $limit) + $limit), $forum_total2, ceil($forum_total2 / $limit));


				// Level 1
				$data['forums'][] = array(
					'name'     => $forum['name'],
					'forum_id'   => $forum['forum_id'],
					'pagination'  => $pagination,
					'results'  => $results,
					'children' => $children_data2,
                     'image'        => $this->model_tool_image->resize($forum['image'], 50, 50),
					'column'   => $forum['column'] ? $forum['column'] : 1,
					'href'     => $this->url->link('information/forum_form', 'form=' . $forum['forum_id'])
				);
			}
		}


		$data['column_left'] = $this->load->controller('common/column_left');
			$data['column_right'] = $this->load->controller('common/column_right');
			$data['content_top'] = $this->load->controller('common/content_top');
			$data['content_bottom'] = $this->load->controller('common/content_bottom');
			$data['footer'] = $this->load->controller('common/footer');
			$data['header'] = $this->load->controller('common/header');

			$this->response->setOutput($this->load->view('information/forum', $data));

		
	}
	
}
