<?php
class ControllerInformationForumAdd extends Controller {
	private $error = array();
	public function index() {

		   $this->load->language('information/forumadd');
           $this->load->model('catalog/forum');
		   $this->document->addStyle('catalog/view/theme/default/stylesheet/forum.css');

           if (!$this->customer->isLogged()) {

			$this->response->redirect($this->url->link('information/forum_form', 'form=' . $this->request->post['form']));
		}
		
		
		
		if(isset($this->request->post['parent_id'])) {
              $this->request->post['form'] = $this->request->post['parent_id'];
               if ($this->request->server['REQUEST_METHOD'] == 'POST' && $this->validateForm()) {
                   
                        $f_id = $this->model_catalog_forum->addForum($this->request->post);
                   
                        $this->response->redirect($this->url->link('information/forum_form', 'form=' . $f_id));
                
                }
		}    
                
                if (!isset($this->request->post['form'])) { $this->response->redirect($this->url->link('information/forum', '', 'SSL'));}

             $this->document->addStyle('catalog/view/theme/default/stylesheet/wbbtheme.css');
             $this->document->addScript('catalog/view/javascript/wysibb/jquery.wysibb.js');
             $this->document->addScript('catalog/view/javascript/forum.js');
             
             if (isset($this->error['name'])) {
		    	$data['error_name'] = $this->error['name'];
	       	} else {
		    	$data['error_name'] = array();
	    	}
             
		     $data['breadcrumbs'] = array();

		     $data['breadcrumbs'][] = array(
			     'text' => $this->language->get('text_home'),
			     'href' => $this->url->link('common/home')
		     );

		     $data['breadcrumbs'][] = array(
			     'text' => $this->language->get('heading_title'),
			     'href' => $this->url->link('information/forum')
		     );

             if (isset($this->request->post['form'])) {
                  $data['parent_id'] = $this->request->post['form'];
                  $data['aktion'] = $this->url->link('information/forum_add');
                  $this->document->setTitle($this->language->get('heading_title'));
             } else {
                  $this->response->redirect($this->url->link('information/forum', '', 'SSL'));
             }

		     $data['heading_title'] = $this->language->get('heading_title');
		     $data['text_comment'] = $this->language->get('text_comment');
             $data['text_loading'] = $this->language->get('text_loading');
             $data['entry_review'] = $this->language->get('entry_review');
             $data['error_user'] = $this->language->get('error_user');
             $data['text_note'] = $this->language->get('text_note');
             $data['text_new'] = $this->language->get('text_new');
		     $data['button'] = $this->language->get('button');
		     $data['text_user0'] = $this->language->get('text_user0');
		     $data['text_user0x'] = $this->language->get('text_user0x');

             if (isset($this->request->post['forum_description'])) {
			        $data['forum_description'] = $this->request->post['forum_description'];
		     } else {
			        $data['forum_description'] = array();
		     }

             if(!isset($_SESSION))	{	session_start();	} 
		     session_set_cookie_params('0');
		     $id = session_id();
		     $CurrentTime = time();
		     $LastTime = time() - 480;
		     $base = "system/storage/logs/whoisonline.txt";
		
		     if (!file_exists($base))	{
			     $fp = fopen($base, "w");
			     fclose($fp);
		     }
		
		     $file = file($base);
	    	 $k = 0;
		     $ResFile = array();
		     $is_sid_in_file = '';
		     for ($i = 0; $i < sizeof($file); $i++) {
			        $line = explode("|", $file[$i]);
			        if ($line[1] > $LastTime) {
					     $ResFile[$k] = $file[$i];
					     $k++;
			        }
		    } 
		
		    for ($i = 0; $i<sizeof($ResFile); $i++) {
			     $line = explode("|", $ResFile[$i]);
			     if ($line[0]==$id) {
				     $line[1] = trim($CurrentTime)."\n";
				     $is_sid_in_file = 1;
			     }
			     $line = implode("|", $line);
			     $ResFile[$i] = $line;
		    } 
		
		    $fp = fopen($base, "w");
		    for ($i = 0; $i < count ($ResFile); $i++) {
			     fputs($fp, $ResFile[$i]);
		    }
		    fclose($fp);
		
		    if (!$is_sid_in_file) {
			       $fp = fopen($base, "a-");
			       $line = $id."|".$CurrentTime."\n";
			       fputs($fp, $line);
			       fclose($fp);
		    }
		
		    $file = file($base);
		    $who = sizeof($file);
		    $textwho = 'W0'.$who;
		    $who2 = substr($textwho, -2);
		    $who1 = substr($textwho, -1);
		    if ($this->session->data['language'] == "ru")	{
			     if (($who2 > 0 && $who2 < 4) | $who2 > 20)	{
				     if ($who1 == 1)	{
					     $text_count_users = $this->language->get('text_user1');
				     }	else	{
					     $text_count_users = $this->language->get('text_user2');
				     }
			      }	else	{
				     $text_count_users = $this->language->get('text_user3');
			      }
		    }	else	{
			     if ($who == 1)	{
				     $text_count_users = $this->language->get('text_user1');
			      }	else	{
				     $text_count_users = $this->language->get('text_user2');
			      }
		    }
		    $data['whoisonline'] = $who.$text_count_users;

            $this->load->model('localisation/language');

		    $data['languages'] = $this->model_localisation_language->getLanguages();

		    $data['lang'] = $this->language->get('lang');

		$data['column_left'] = $this->load->controller('common/column_left');
			$data['column_right'] = $this->load->controller('common/column_right');
			$data['content_top'] = $this->load->controller('common/content_top');
			$data['content_bottom'] = $this->load->controller('common/content_bottom');
			$data['footer'] = $this->load->controller('common/footer');
			$data['header'] = $this->load->controller('common/header');

			$this->response->setOutput($this->load->view('information/forum_add', $data));

		
	}
	
	protected function validateForm() {
		
		foreach ($this->request->post['forum_description'] as $language_id => $value) {
			if ((utf8_strlen($value['name']) < 2) || (utf8_strlen($value['name']) > 255)) {
				$this->error['name'][$language_id] = $this->language->get('error_name');
			}
		}

			if ($this->error && !isset($this->error['warning'])) {
				$this->error['warning'] = $this->language->get('error_warning');
			}

		return !$this->error;
	}


}
