<?php
class ControllerInformationForumForm extends Controller {
	private $error = array();

	public function index() {

		   $this->load->language('information/forum');
           $this->load->model('catalog/forum');

            if ($this->customer->isLogged()) {
				$data['review_guest'] = true;
			} else {
				$data['review_guest'] = false;
			}
            $this->document->addStyle('catalog/view/theme/default/stylesheet/forum.css');
	        $this->document->addStyle('catalog/view/theme/default/stylesheet/wbbtheme.css');
            $this->document->addScript('catalog/view/javascript/wysibb/jquery.wysibb.js');
            $this->document->addScript('catalog/view/javascript/forum.js');
            
            if (isset($this->request->get['page'])) {
			   $page = $this->request->get['page'];
		    } else {
			   $page = 1;
		    }
		    $forum_set = $this->model_catalog_forum->getSet();
		    $limit = $forum_set['set1'];
		    $data['flame'] = $forum_set['set4'];

		    $data['breadcrumbs'] = array();

		    $data['breadcrumbs'][] = array(
			   'text' => $this->language->get('text_home'),
			   'href' => $this->url->link('common/home')
		    );

		    $data['breadcrumbs'][] = array(
			   'text' => $this->language->get('heading_title'),
			   'href' => $this->url->link('information/forum')
		    );

            if (isset($this->request->get['form'])) {
			     $paths = $this->request->get['form'];
                 $data['s'] = 1;
            } else {
                 $this->response->redirect($this->url->link('information/forum', '', 'SSL'));
            }

            $data['heading_title2'] = $this->language->get('heading_title2');
		    $data['text_comment'] = $this->language->get('text_comment');
            $data['text_loading'] = $this->language->get('text_loading');
            $data['entry_review'] = $this->language->get('entry_review');
            $data['error_user'] = $this->language->get('error_user');
            $data['text_note'] = $this->language->get('text_note');
            $data['text_new'] = $this->language->get('text_new');
		    $data['button'] = $this->language->get('button');
		    $data['text_user0'] = $this->language->get('text_user0');
		    $data['text_user0x'] = $this->language->get('text_user0x');

            if(!isset($_SESSION))	{	session_start();	} 
		    session_set_cookie_params('0');
		    $id = session_id();
		    $CurrentTime = time();
		    $LastTime = time() - 480;
		    $base = "system/storage/logs/whoisonline.txt";
		
	    	if (!file_exists($base))	{
			    $fp = fopen($base, "w");
			    fclose($fp);
		    }
		
		    $file = file($base);
		    $k = 0;
		    $ResFile = array();
		    $is_sid_in_file = '';
		    for ($i = 0; $i < sizeof($file); $i++) {
			   $line = explode("|", $file[$i]);
			   if ($line[1] > $LastTime) {
					$ResFile[$k] = $file[$i];
					$k++;
			   }
		    } 
		
		    for ($i = 0; $i<sizeof($ResFile); $i++) {
			    $line = explode("|", $ResFile[$i]);
			    if ($line[0]==$id) {
				    $line[1] = trim($CurrentTime)."\n";
				    $is_sid_in_file = 1;
			    }
			    $line = implode("|", $line);
			    $ResFile[$i] = $line;
		    } 
		
		    $fp = fopen($base, "w");
		    for ($i = 0; $i < count ($ResFile); $i++) {
			    fputs($fp, $ResFile[$i]);
		    }
		    fclose($fp);
		
		    if (!$is_sid_in_file) {
			  $fp = fopen($base, "a-");
			  $line = $id."|".$CurrentTime."\n";
			  fputs($fp, $line);
			  fclose($fp);
		    }
		
		    $file = file($base);
		    $who = sizeof($file);
		    $textwho = 'W0'.$who;
		    $who2 = substr($textwho, -2);
		    $who1 = substr($textwho, -1);
		    if ($this->session->data['language'] == "ru")	{
			    if (($who2 > 0 && $who2 < 4) | $who2 > 20)	{
				    if ($who1 == 1)	{
					    $text_count_users = $this->language->get('text_user1');
				    }	else	{
					    $text_count_users = $this->language->get('text_user2');
				    }
			    }	else	{
				    $text_count_users = $this->language->get('text_user3');
			    }
		    }	else	{
			    if ($who == 1)	{
				    $text_count_users = $this->language->get('text_user1');
			    }	else	{
				    $text_count_users = $this->language->get('text_user2');
			    }
		    }
		    $data['whoisonline'] = $who.$text_count_users;

		    $this->load->model('tool/image');

		    if (isset($this->request->post['name'])) {
			    $data['name'] = $this->request->post['name'];
		    } else {
			    $data['name'] = $this->customer->getFirstName();
		    }

            if($this->customer->isLogged() != 0) {
                $users = $this->model_catalog_forum->getUser($this->customer->isLogged());
                 foreach ($users as $user) {
                     if (isset($user['avatar']) && $user['avatar'] != '') {
                           $data['image'] = $user['avatar'];
                      } else {
                           $data['image'] = $this->model_tool_image->resize('user.png', 150, 150);
                      }
                                               
                 } 
            } else {
                $image = $this->model_tool_image->resize('admin.jpg', 150, 150);
            }

		
            if (isset($this->request->get['form'])) {
			       $data['form'] = $this->request->get['form'];
		    } else {
			       $data['form'] = 0;
		    }
		    
            $forum_info = $this->model_catalog_forum->getForum($this->request->get['form']);
            if ($forum_info) {
                if($forum_info['top'] == 2) {
                    $forum_cild = $this->model_catalog_forum->getForum($forum_info['parent_id']);
                    $data['breadcrumbs'][] = array(
			              'text' => $forum_cild['name'],
			              'href' => $this->url->link('information/forum_form', 'form=' . $forum_info['parent_id'])
			              );
                }
                   $data['breadcrumbs'][] = array(
			              'text' => $forum_info['name'],
			              'href' => $this->url->link('information/forum_form', 'form=' . $paths)
			              );

			if ($forum_info['meta_title']) {
				$this->document->setTitle($forum_info['meta_title']);
			} else {
				$this->document->setTitle($forum_info['name']);
			}

			$this->document->setDescription($forum_info['meta_description']);
			$this->document->setKeywords($forum_info['meta_keyword']);

			if ($forum_info['meta_h1']) {
				$data['heading_title'] = $forum_info['meta_h1'];
			} else {
				$data['heading_title'] = $forum_info['name'];
			}
			
			$data['top'] = $forum_info['top'];
            $data['description'] = html_entity_decode($forum_info['description'], ENT_QUOTES, 'UTF-8');
        }

        $data['forums'] = array();
            $forum_total = $this->model_catalog_forum->getTotalForums($this->request->get['form']);
			$forums = $this->model_catalog_forum->getForums($this->request->get['form'], ($page - 1) * $limit, $limit);

			foreach ($forums as $forum) {
                   $rev_total = $this->model_catalog_forum->getTotalReviewsByCatId($forum['forum_id']);
                   $text = $this->language->get('total1'); 
                   if($rev_total == 1) { $text = $this->language->get('total2'); }
                   if($rev_total > 1 && $rev_total <5) { $text = $this->language->get('total3'); }
                   if($forum['image']) { $image = $this->model_tool_image->resize($forum['image'], 30, 30);
                   } else {
                       $image = false;
                   }
                   $users = $this->model_catalog_forum->getUser($forum['customer_id']);
                   if($users) {
                      $customer = $users[0]['firstname']; 
                   } else {
                       $customer = 'Admin';
                   }
					
				$data['forums'][] = array(
					'name' => $forum['name'],
					'viewed' => $forum['viewed'],
					'customer' => $customer,
                     'image'        => $image,
                     'date_added'     =>  date($this->language->get('date_format_short'), strtotime($forum['date_added'])),
                     'total'     =>  $rev_total . $text,
					'href' => $this->url->link('information/forum_form', 'form=' . $forum['forum_id'])
				);
			}
			
		$pagination = new Pagination();
		$pagination->total = $forum_total;
		$pagination->page = $page;
		$pagination->limit = $limit;
		$pagination->url = $this->url->link('information/forum_form', 'form=' . $this->request->get['form'] . '&page={page}');

		$data['pagination'] = $pagination->render();

		$data['results'] = sprintf($this->language->get('text_pagination'), ($forum_total) ? (($page - 1) * $limit) + 1 : 0, ((($page - 1) * $limit) > ($forum_total - $limit)) ? $forum_total : ((($page - 1) * $limit) + $limit), $forum_total, ceil($forum_total / $limit));	
        $this->model_catalog_forum->updateViewed($this->request->get['form']);
		$data['column_left'] = $this->load->controller('common/column_left');
			$data['column_right'] = $this->load->controller('common/column_right');
			$data['content_top'] = $this->load->controller('common/content_top');
			$data['content_bottom'] = $this->load->controller('common/content_bottom');
			$data['footer'] = $this->load->controller('common/footer');
			$data['header'] = $this->load->controller('common/header');

			$this->response->setOutput($this->load->view('information/forum_form', $data));

		
	}


	public function review() {
        $this->load->model('catalog/forum');
        require_once(DIR_SYSTEM . 'library/bbcode/Parser.php');
        $this->load->language('information/forum');
        $this->load->model('tool/image');
        $forum_set = $this->model_catalog_forum->getSet();
         $rep_user0 = $this->language->get('rep_user0');
         $rep_user1 = $this->language->get('rep_user1');
         $rep_user2 = $this->language->get('rep_user2');
         $rep_user3 = $this->language->get('rep_user3');
         $rep_user4 = $this->language->get('rep_user4');
         $rep_user5 = $this->language->get('rep_user5');
         $rep_user6 = $this->language->get('rep_user6');		
         $data['text_no_reviews'] = $this->language->get('text_no_reviews');

          if ($this->customer->isLogged()) {
                $data['user_id_ot'] =  $this->customer->isLogged();
				$data['review_guest'] = true;
		  } else {
				$data['review_guest'] = false;
		  }

		  if (isset($this->request->get['page'])) {
			    $page = $this->request->get['page'];
		  } else {
			    $page = 1;
	      }
	      
	      $forum = $this->model_catalog_forum->getForum($this->request->get['form']);
	      $limit = $forum_set['set2'];
			
			 
           $data['page'] = $page;
		   $data['reviews'] = array();
           $users = array();
       if ($forum['top'] == 2) {
           if(isset($this->request->get['form'])) {
		        $review_total = $this->model_catalog_forum->getTotalReviewsByCatId($this->request->get['form']);
		        $results = $this->model_catalog_forum->getReviewsByCatId($this->request->get['form'], ($page - 1) * $limit, $limit);
           }
           
		   foreach ($results as $result) {
                $user_total = $this->model_catalog_forum->getTotalReviewsByUser($result['customer_id']);

                if($result['customer_id'] != 0) {
                      $users = $this->model_catalog_forum->getUser($result['customer_id']);
                      foreach ($users as $user) {
                           $rep = $user['rep'];    
                           if (isset($user['avatar']) && $user['avatar'] != '') {
                                 $image = $user['avatar'];
                           } else {
                                 $image = $this->model_tool_image->resize('user.png', 90, 90);
                           }
                      } 
                } else {
                       $image = $this->model_tool_image->resize('admin.jpg', 90, 90);
                       $rep = 1000;
                }
                
                if ($rep < 0) {$statys = $rep_user0;}
                if ($rep == 0) {$statys = $rep_user1;}
                if ($rep > 0) {$statys = $rep_user2;}
                if ($rep >= 10) {$statys = $rep_user3;}
                if ($rep >= 50) {$statys = $rep_user4;}
                if ($rep >= 100) {$statys = $rep_user5;}
                if ($rep >= 500) {$statys = $rep_user6;}

                $parser = new JBBCode\Parser();
                $parser->addBBCode(":)", '<img class="bbimage" alt="" width="100" src="/catalog/view/theme/default/stylesheet/img/smiles/0808.gif"></a>', true, true);
                $parser->addBBCode("quote", '<div class="quote v2"><cite class="v1">{option} писал(а):</cite>{param}</div>', true, true);
		    	$parser->addBBCode("quote", '<div class="quote">{param}</div>', false, false);
			    $parser->addBBCode("size", '<span style="font-size:{option}%;">{param}</span>', true, true);
                $parser->addBBCode("font", '<span style="font-family:{option};">{param}</span>', true, true);
			    $parser->addBBCode("code", '<pre class="code">{param}</pre>', false, false, 1);
			    $parser->addBBCode("video", '<div style="overflow:hidden; "><iframe width="300" height="200" src="http://www.youtube.com/embed/{param}" frameborder="0" allowfullscreen></iframe></div>', false, false, 1);
			    $parser->addBBCode("img", '<a href="{param}" class="colorbox" style="overflow: hidden;"><img class="bbimage" alt="" width="100" src="{param}"></a>');
			    $parser->addBBCode("url", '<a href="{param}" target="_blank" rel="nofollow">{param}</a>', false, false);
                $parser->addCodeDefinitionSet(new JBBCode\DefaultCodeDefinitionSet());
                $parser->parse(htmlentities($result['text']));
                $text = $parser->getAsHtml();
                $newtext = str_replace($smail, $grafic, $text);
                $texx = preg_replace('/\n/i','<br />',$newtext);
			    $data['reviews'][] = array(
				       'author'     => $result['name'],
				      // 'text'       =>  $newtext,
				      'text'       =>  $texx,
				       'image'     => $image,
                       'user_total'     =>   $user_total,
                       'text_id'       =>  $result['text_id'],
                        'cat_id'       =>  $result['cat_id'],
                        'rep'    =>    $rep,
                        'statys'      =>   $statys,
                         'id'       =>   $result['customer_id'],
				        'date_added' => date($this->language->get('date_format_short'), strtotime($result['date_added']))
			    );
		    }
       
		    $pagination = new Pagination();
		    $pagination->total = $review_total;
		    $pagination->page = $page;
		    $pagination->limit = $limit;
		    if(isset($this->request->get['form'])) {$pagination->url = $this->url->link('information/forum_form/review', 'form=' . $this->request->get['form'] . '&page={page}'); }

	    	$data['pagination'] = $pagination->render();

		    $data['results'] = sprintf($this->language->get('text_pagination'), ($review_total) ? (($page - 1) * $limit) + 1 : 0, ((($page - 1) * $limit) > ($review_total - 5)) ? $review_total : ((($page - 1) * $limit) + $limit), $review_total, ceil($review_total / $limit));
	   }
		    $this->response->setOutput($this->load->view('product/reviewsp', $data));
	}

	public function write() {

		$this->load->language('information/forum');

		$json = array();

		if ($this->request->server['REQUEST_METHOD'] == 'POST') {
            $this->load->model('catalog/forum');
            $forum_set = $this->model_catalog_forum->getSet();
			if ((utf8_strlen($this->request->post['text']) < 1) || (utf8_strlen($this->request->post['text']) > $forum_set['set3'])) {
				$json['error'] = $this->language->get('error_text') . $forum_set['set3'] . ' символов!';
			}
			
			if (!isset($json['error'])) {
			$this->load->model('catalog/forum');

                if(isset($this->request->get['form'])) {
  				    $this->model_catalog_forum->addRevcat($this->request->get['form'], $this->request->post);
                }
				    $json['success'] = $this->language->get('text_success');
			}
		}

		$this->response->addHeader('Content-Type: application/json');
		$this->response->setOutput(json_encode($json));
	}

    public function addrep() {

        $this->load->language('information/forum');
        $this->load->model('catalog/forum');
		$json = array();

		if ($this->request->server['REQUEST_METHOD'] == 'POST') {
            if ((utf8_strlen($this->request->post['text']) < 3) || (utf8_strlen($this->request->post['text']) > 1000)) {
				$json['error'] = $this->language->get('error_text');
			}
		    $daty = $this->model_catalog_forum->getData($this->request->post['user_id'], $this->request->post['user_id_ot']);
                if($daty < 3) {
                     $json['error'] = 'Интервал между сообщениями должен быть не менее 3 дней';
                }
			    if (!isset($json['error'])) {
  				    $this->model_catalog_forum->addRep($this->request->post);
				    $json['success'] = $this->language->get('text_success');
			    }
		}

		$this->response->addHeader('Content-Type: application/json');
		$this->response->setOutput(json_encode($json));

   }

   public function avatar() {

        $this->load->model('catalog/forum');
		$json = array();
		if ($this->request->server['REQUEST_METHOD'] == 'POST') {
              $this->model_catalog_forum->avatar($this->request->post);
         }
        $this->response->addHeader('Content-Type: application/json');
		$this->response->setOutput(json_encode($json));
    }


}
