<?php echo $header; ?>
<div class="container">
  <ul class="breadcrumb">
    <?php foreach ($breadcrumbs as $breadcrumb) { ?>
    <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
    <?php } ?>
  </ul>
  <div class="row"><?php echo $column_left; ?>
    <?php if ($column_left && $column_right) { ?>
    <?php $class = 'col-sm-6'; ?>
    <?php } elseif ($column_left || $column_right) { ?>
    <?php $class = 'col-sm-9'; ?>
    <?php } else { ?>
    <?php $class = 'col-sm-12'; ?>
    <?php } ?>
    <div id="content" class="<?php echo $class; ?>"><?php echo $content_top; ?>
      <h1>Раздел <?php echo $heading_title; ?><?php if($top == 3) { ?><div class="pull-right">
        <form action="index.php?route=information/forum_add" method="post" enctype="multipart/form-data">
        <input type="hidden" name="form" value="<?php echo $form; ?>"/>
      <input class="btn btn-primary" type="submit" value="Новая тема" />
      </form></div> 
      <?php } ?> </h1>

 <?php if ($description) { ?>
        <div class="col-sm-12"><?php echo $description; ?></div>
        <?php } ?>     

      <hr>
        
<?php if ($forums) { ?>
    <div class="row">
      <table class="table table-striped table-bordered">
        <tr class="zagol">
          <td colspan="5" class="text-center"><h3>Темы форума <?php echo $heading_title; ?> </h3></td>
       </tr>
       <tr class="zago2">
       <td></td>
       <td class="text-center">Тема</td>
       <td class="text-center">Ответы</td>
       <td class="text-center">Просмотры</td>
       <td class="text-center">Автор темы</td>
       </tr>
            <?php foreach ($forums as $forum) { ?>
       <tr>
          <td style="width: 10%;"> 
           <div class="col-sm-2">
            <?php if($forum['image']) { ?>
               <img src="<?php echo $forum['image']; ?>" />
            <?php } else { ?>
               <i class="fa fa-comments-o coom"></i>
            <?php } ?>
           </div>
          </td>
          <td class="text-left">
            <a href="<?php echo $forum['href']; ?>">&nbsp;&nbsp;&nbsp;- <?php echo $forum['name']; ?></a>
            <br>&nbsp;&nbsp;&nbsp<?php echo $forum['date_added']; ?>
         </td>
         <td class="text-center">
         <?php if($forum['total'] > $flame) { ?>
         <i class="fa fa-fire" style="color: red; cursor: pointer;" title="Горячая тема"></i>&nbsp;&nbsp;
         <?php } else { ?>
         <i class="fa fa-file-text-o" style="color: blue; cursor: pointer;" title="Обычная тема"></i>&nbsp;&nbsp;
         <?php } ?>
         <?php echo $forum['total']; ?>
         </td>
         <td class="text-center"> <i class="fa fa-eye" style="color: blue; cursor: pointer;" title="Просмотры"></i>&nbsp;&nbsp;<?php echo $forum['viewed']; ?></td>
         <td class="text-center">  <i class="fa fa-male" style="color: blue; cursor: pointer;" title="Просмотры"></i>&nbsp;&nbsp;<?php echo $forum['customer']; ?>
         </td>
         
       </tr>
            <?php } ?>
     </table>
        </div>
         <div class="row">
        <div class="col-sm-6 text-left"><?php echo $pagination; ?></div>
        <div class="col-sm-6 text-right"><?php echo $results; ?></div>
      </div>
       <?php } ?>

      <div class="col-sm-12 panel panel-default">
        <div class="panel-body">
          <div class="row">
          
<?php if($top == 2) { ?><div id="review"></div> <?php } ?>

<div class="col-sm-12" id="tab-review" style="">
<?php if($top == 2) { ?>
 <form class="form-horizontal" id="form-review">
    <?php if ($review_guest) { ?>
        <input type="hidden" name="name" value="<?php echo $name; ?>" />
         <div class="form-group required">
         <div class="avatara">
         <img src="<?php echo $image; ?>" title="<?php echo $name; ?>" alt="<?php echo $name; ?>" style="width: 150px;" />
         <h3 style="margin: 0px;"><?php echo $name; ?></h3>
         <button type="button" id="button-upload"  data-loading-text="<?php echo $text_loading; ?>" class="btn btn-primary">Сменить аватар</button>
          <input type="hidden" name="avatar" value="" id="input-avatar" />
          </div>
           <div class="col-sm-10">
          <textarea name="text" rows="5" id="editor" class="form-control"></textarea>
          <input type="hidden" name="text2" value="" />
          <script>
      $(document).ready(function() {
      var wbbOpt = {
      buttons: "bold,italic,underline,|,fontcolor,fontsize,fontfamily,|,img,link,video,|,quote,code,|,smilebox,spoiler",
      clickToEdit: false,
      allButtons: {
         quote: {
         transform: {
        '<div class="quote">{SELTEXT}</div>':'[quote]{SELTEXT}[/quote]',
        '<div class="quote v2"><cite class="v1">{AUTHOR} писал(а):</cite>{SELTEXT}</div>':'[quote={AUTHOR}]{SELTEXT}[/quote]'
        }
      }
    }
  }
  $("#editor").wysibb(wbbOpt);
  });
  </script>
<script type="text/javascript"><!--
function adds() {
var tt = $("#editor").bbcode();
$('textarea[name=\'text\']').val(tt);
$("#editor").htmlcode('');
}
		//--></script>
                    <div class="help-block"><?php echo $text_note; ?></div>
                  </div>
                </div>
                
               
                <div class="buttons clearfix">
                  <div class="pull-right">
                    <button onclick="adds();" type="button" id="button-review" data-loading-text="<?php echo $text_loading; ?>" class="btn btn-primary"><?php echo $button; ?></button>
                  </div>
                <div class="pull-left">
                    <a id="button-cler"  href="javascript:;" class="btn btn-primary">Очистить</a>
<script type="text/javascript">		
$('#button-cler').on('click', function() {
$("#editor").htmlcode('');
});    
</script>
                  </div>
                </div>
                <?php } else { ?>
                <?php echo $error_user; ?>
                <?php } ?>
              </form>
               <?php } ?> 
 <hr>

            <!-- AddThis Button BEGIN -->
            <script type="text/javascript" src="//yastatic.net/es5-shims/0.0.2/es5-shims.min.js" charset="utf-8"></script>
<script type="text/javascript" src="//yastatic.net/share2/share.js" charset="utf-8"></script>
<div class="ya-share2" data-services="vkontakte,facebook,odnoklassniki,moimir,gplus,twitter,lj"></div>
            <!-- AddThis Button END -->
</div>
<div class="col-sm-10" id="tab-review" style="width: 100%;"><?php echo $text_user0; ?><?php echo $whoisonline; ?><?php echo $text_user0x; ?></div>
            </div>
          </div>
        </div>
      </div>
    
     
      <?php echo $content_bottom; ?></div>
    <?php echo $column_right; ?></div>
</div>

<script type="text/javascript"><!--
$('#review').delegate('.pagination a', 'click', function(e) {
    e.preventDefault();

    $('#review').fadeOut('slow');

    $('#review').load(this.href);

    $('#review').fadeIn('slow');
});
$('#review').load('index.php?route=information/forum_form/review&form=<?php echo $form; ?>');
$('#button-review').on('click', function() {
	$.ajax({
		url: 'index.php?route=information/forum_form/write&form=<?php echo $form; ?>',
		type: 'post',
		dataType: 'json',
		data: $("#form-review").serialize(),
		beforeSend: function() {
			$('#button-review').button('loading');
		},
		complete: function() {
			$('#button-review').button('reset');
		},
		success: function(json) {
			$('.alert-success, .alert-danger').remove();

			if (json['error']) {
				$('#review').after('<div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> ' + json['error'] + '</div>');
			}

			if (json['success']) {
				$('#review').after('<div class="alert alert-success"><i class="fa fa-check-circle"></i> ' + json['success'] + '</div>');

			
				$("#editor").htmlcode('');
				$('textarea[name=\'text\']').val('');
				$('#review').load('index.php?route=information/forum_form/review&form=<?php echo $form; ?>');
			}
		}
	});
});

//--></script>

<script type="text/javascript"><!--
$('button[id^=\'button-upload\']').on('click', function() {
	var node = this;
	
	$('#form-upload').remove();
	
	$('body').prepend('<form enctype="multipart/form-data" id="form-upload" style="display: none;"><input type="file" name="file" /></form>');
	
	$('#form-upload input[name=\'file\']').trigger('click');
	
	timer = setInterval(function() {
		if ($('#form-upload input[name=\'file\']').val() != '') {
			clearInterval(timer);
			
			$.ajax({
				url: 'index.php?route=tool/avatarupload',
				type: 'post',
				dataType: 'json',
				data: new FormData($('#form-upload')[0]),
				cache: false,
				contentType: false,
				processData: false,
				beforeSend: function() {
					$(node).button('loading');
				},
				complete: function() {
					$(node).button('reset');
				},
				success: function(json) {

					
					if (json['error']) {
						$(node).parent().find('input').after('<div class="text-danger">' + json['error'] + '</div>');
					}
					
					if (json['success']) {
						
						$(node).parent().find('input').attr('value', json['code']);
                                                alert(json['success']);


           $.ajax({
		url: 'index.php?route=information/forum_form/avatar',
		type: 'post',
		dataType: 'json',
		data: $('.avatara input[type=\'hidden\']'),
                beforeSend: function() {
					
				},
                success: function(json) {
                location.reload();
                }
});
                                }
				},
				error: function(xhr, ajaxOptions, thrownError) {
					alert(thrownError + "\r\n" + xhr.statusText + "\r\n" + xhr.responseText);
				}
			});
		}
	}, 500);
});
//--></script>
<?php echo $footer; ?>
