<?php
/**
* @Автор С.Н.Демченко <probnick1977@mail.ru>
* @Автор Елена Д.
* @Автор ms Series
* @версия 2.1 (продажа:800 руб)
*/
class ControllerCatalogForum extends Controller {
	private $error = array();
	private $forum_id = 0;
	private $path = array();

	public function index() {
		$this->load->language('catalog/forum');
$this->document->addScript('view/javascript/wysibb/jquery.wysibb.js');
  $this->document->addStyle('view/stylesheet/wbbtheme.css');
		$this->document->setTitle($this->language->get('heading_title'));

		$this->load->model('catalog/forum');
$this->model_catalog_forum->Fix();
		$this->getList();
	}

	public function add() {
		$this->load->language('catalog/forum');

		$this->document->setTitle($this->language->get('heading_title'));

		$this->load->model('catalog/forum');

		if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validateForm()) {
			  $this->model_catalog_forum->addForum($this->request->post);

			$this->session->data['success'] = $this->language->get('text_success');

			$url = '';

			if (isset($this->request->get['sort'])) {
				$url .= '&sort=' . $this->request->get['sort'];
			}

			if (isset($this->request->get['order'])) {
				$url .= '&order=' . $this->request->get['order'];
			}

			if (isset($this->request->get['page'])) {
				$url .= '&page=' . $this->request->get['page'];
			 }

			$this->response->redirect($this->url->link('catalog/forum', 'token=' . $this->session->data['token'] . $url, 'SSL'));
		}

		$this->getForm();
	   }

	public function edit() {
		$this->load->language('catalog/forum');

		$this->document->setTitle($this->language->get('heading_title'));

        $this->document->addScript('view/javascript/wysibb/jquery.wysibb.js');
        $this->document->addStyle('view/stylesheet/wbbtheme.css');

		$this->load->model('catalog/forum');

		 if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validateForm()) {
			$this->model_catalog_forum->editForum($this->request->get['forum_id'], $this->request->post);

			$this->session->data['success'] = $this->language->get('text_success');

			$url = '';

			if (isset($this->request->get['sort'])) {
				$url .= '&sort=' . $this->request->get['sort'];
			}

			if (isset($this->request->get['order'])) {
				$url .= '&order=' . $this->request->get['order'];
			}

                        if (isset($this->request->get['page'])) {
				$url .= '&page=' . $this->request->get['page'];
			}

			$this->response->redirect($this->url->link('catalog/forum', 'token=' . $this->session->data['token'] . $url, 'SSL'));
		}

		$this->getForm();
	}

	public function delete() {
		$this->load->language('catalog/forum');

		$this->document->setTitle($this->language->get('heading_title'));

		$this->load->model('catalog/forum');

		 if (isset($this->request->post['selected']) && $this->validateDelete()) {
			foreach ($this->request->post['selected'] as $forum_id) {
				$this->model_catalog_forum->deleteForum($forum_id);
			}

			$this->session->data['success'] = $this->language->get('text_success');

			$url = '';

			if (isset($this->request->get['sort'])) {
				$url .= '&sort=' . $this->request->get['sort'];
			}

			if (isset($this->request->get['order'])) {
				$url .= '&order=' . $this->request->get['order'];
			}

			if (isset($this->request->get['page'])) {
				 $url .= '&page=' . $this->request->get['page'];
			}

			$this->response->redirect($this->url->link('catalog/forum', 'token=' . $this->session->data['token'] . $url, 'SSL'));
		}

		$this->getList();
	}

	public function repair() {
		$this->load->language('catalog/forum');

		$this->document->setTitle($this->language->get('heading_title'));

		$this->load->model('catalog/forum');

 		if ($this->validateRepair()) {
			//$this->model_catalog_forum->repairForums();

			$this->session->data['success'] = $this->language->get('text_success');

			$this->response->redirect($this->url->link('catalog/forum', 'token=' . $this->session->data['token'], 'SSL'));
		}

		$this->getList();
	}

      public function set() {

		  $this->load->language('catalog/forum');
		  $this->document->setTitle($this->language->get('heading_title'));
		  $this->load->model('catalog/forum'); 
          $data['token'] = $this->session->data['token'];
          
          if ($this->request->server['REQUEST_METHOD'] == 'POST') {
			  $this->model_catalog_forum->addSet($this->request->post);
          }	  

          $data['breadcrumbs'] = array();

   		  $data['breadcrumbs'][] = array(
       		   'text'      => $this->language->get('text_home'),
			   'href'      => $this->url->link('common/home', 'token=' . $this->session->data['token'], 'SSL'),
      		   'separator' => false
   		  );

   		  $data['breadcrumbs'][] = array(
       		   'text'      => $this->language->get('heading_title'),
			   'href'      => $this->url->link('catalog/forum', 'token=' . $this->session->data['token'] . '&path=', 'SSL'),
      		   'separator' => ' :: '
   		  );
          $data['fors'] = array();
                  
		 $forz = $this->model_catalog_forum->getRep();		
         foreach ($forz as $for) {	
              $forum_info =  array();
              if($for['user_id'] != 0) {
                     $users = $this->model_catalog_forum->getUser($for['user_id']);
                     $user = $users['firstname'] . ' ' . $users['lastname'];
              } else { 
                     $user = 'Админ';
              }
              $users_ot = $this->model_catalog_forum->getUser($for['user_id_ot']);
              $user_ot = $users_ot['firstname'] . ' ' . $users_ot['lastname'];

              $forum_info = $this->model_catalog_forum->getForum($for['text_id']);
		      $data['fors'][] = array(
                      'rep_id' => $for['rep_id'],
                      'text_id' => $forum_info['name'],
				      'for_id'        => $for['for_id'],
				      'user_id'  => $user,
                       'user'  => $for['user_id'],
				       'user_id_ot'    => $user_ot,
				       'text'      => $for['text'],
				       'nomer'        => $for['nomer'],
				       'date_added'      => $for['date_added']
               );
	      }	
          $data['button_insert'] = $this->language->get('button_insert');
		  $data['button_delete'] = $this->language->get('button_delete');
 		  $data['button_repair'] = $this->language->get('button_repair');
          $data['heading_title'] = $this->language->get('heading_title');
 		  if (isset($this->error['warning'])) {
			   $data['error_warning'] = $this->error['warning'];
		  } else {
			   $data['error_warning'] = '';
		  }

 		  if (isset($this->session->data['success'])) {
			   $data['success'] = $this->session->data['success'];
			   unset($this->session->data['success']);
		  } else {
			   $data['success'] = '';
		  }
		  
		  $forum_set = $this->model_catalog_forum->getSet();
		
		if (isset($this->request->post['set1'])) {
			$data['set1'] = $this->request->post['set1'];
		} elseif (!empty($forum_set)) {
			$data['set1'] = $forum_set['set1'];
		} else {
			$data['set1'] = 20;
		}
		
		if (isset($this->request->post['set2'])) {
			$data['set2'] = $this->request->post['set2'];
		} elseif (!empty($forum_set)) {
			$data['set2'] = $forum_set['set2'];
		} else {
			$data['set2'] = 15;
		}
		
		if (isset($this->request->post['set3'])) {
			$data['set3'] = $this->request->post['set3'];
		} elseif (!empty($forum_set)) {
			$data['set3'] = $forum_set['set3'];
		} else {
			$data['set3'] = 5000;
		}
		
		if (isset($this->request->post['set4'])) {
			$data['set4'] = $this->request->post['set4'];
		} elseif (!empty($forum_set)) {
			$data['set4'] = $forum_set['set4'];
		} else {
			$data['set4'] = 20;
		}
           
        $data['repair'] = $this->url->link('catalog/forum', 'token=' . $this->session->data['token'], 'SSL');
        $data['add'] = $this->url->link('catalog/forum/set', 'token=' . $this->session->data['token'], 'SSL');

        $data['header'] = $this->load->controller('common/header');
		$data['column_left'] = $this->load->controller('common/column_left');
		$data['footer'] = $this->load->controller('common/footer');

		$this->response->setOutput($this->load->view('catalog/forum_set.tpl', $data));
}

           public function sssr() {

		$this->load->language('catalog/forum');

                $this->document->addScript('view/javascript/wysibb/jquery.wysibb.js');
                $this->document->addStyle('view/stylesheet/wbbtheme.css');
                 
		$this->document->setTitle($this->language->get('heading_title'));

		 $this->load->model('catalog/forum');

                  $data['breadcrumbs'] = array();

   		$data['breadcrumbs'][] = array(
       		'text'      => $this->language->get('text_home'),
			'href'      => $this->url->link('common/home', 'token=' . $this->session->data['token'], 'SSL'),
      		'separator' => false
   		);

   		$data['breadcrumbs'][] = array(
       		'text'      => $this->language->get('heading_title'),
			'href'      => $this->url->link('catalog/forum', 'token=' . $this->session->data['token'] . '&path=', 'SSL'),
      		'separator' => ' :: '
   		);
									
		
		
                $data['button_insert'] = $this->language->get('button_insert');
		$data['button_delete'] = $this->language->get('button_delete');
 		$data['button_repair'] = $this->language->get('button_repair');
                $data['heading_title'] = $this->language->get('heading_title');
 		if (isset($this->error['warning'])) {
			$data['error_warning'] = $this->error['warning'];
		} else {
			$data['error_warning'] = '';
		}

 		if (isset($this->session->data['success'])) {
			$data['success'] = $this->session->data['success'];
		
			unset($this->session->data['success']);
		} else {
			$data['success'] = '';
		}
            if ($this->request->get['cat_id']) {

              $fors = $this->model_catalog_forum->Sssr($this->request->get['cat_id']);
             foreach ($fors as $for) { 

      $data['customer_id'] = $for['customer_id'];       

  
$data['text'] = $for['text'];
  $data['name'] = $for['name']; 

} 
$data['repair'] = $this->url->link('catalog/forum/edit', 'token=' . $this->session->data['token'] . '&forum_id=' . $this->request->get['forum_id'], 'SSL');
$data['rer'] = $this->url->link('catalog/forum/serq', 'token=' . $this->session->data['token'] . '&forum_id=' . $this->request->get['forum_id'] . '&cat_id=' . $this->request->get['cat_id'], 'SSL');
}
               $data['header'] = $this->load->controller('common/header');
		$data['column_left'] = $this->load->controller('common/column_left');
		$data['footer'] = $this->load->controller('common/footer');

		$this->response->setOutput($this->load->view('catalog/forum_edit.tpl', $data));
}

	protected function getList() {
		


		if (isset($this->request->get['page'])) {
			$page = $this->request->get['page'];
		} else {
			$page = 1;
		}

		$url = '';

		

		if (isset($this->request->get['page'])) {
			$url .= '&page=' . $this->request->get['page'];
		}

		$data['breadcrumbs'] = array();

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_home'),
			'href' => $this->url->link('common/dashboard', 'token=' . $this->session->data['token'], 'SSL')
		);

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('heading_title'),
			'href' => $this->url->link('catalog/forum', 'token=' . $this->session->data['token'] . $url, 'SSL')
		);

		$data['add'] = $this->url->link('catalog/forum/add', 'token=' . $this->session->data['token'] . $url, 'SSL');
		$data['delete'] = $this->url->link('catalog/forum/delete', 'token=' . $this->session->data['token'] . $url, 'SSL');
		$data['repair'] = $this->url->link('catalog/forum/repair', 'token=' . $this->session->data['token'] . $url, 'SSL');
                $data['rer'] = $this->url->link('catalog/forum/rer', 'token=' . $this->session->data['token'] . $url, 'SSL');
                $data['set'] = $this->url->link('catalog/forum/set', 'token=' . $this->session->data['token'] . $url, 'SSL');
		$data['forums'] = array();

		

		$forum_total = $this->model_catalog_forum->getTotalForums();

		$results = $this->model_catalog_forum->getForums();

		foreach ($results as $result) {
			$data['forums'][] = array(
				'forum_id' => $result['forum_id'],
				'name'        => $result['name'],
				'sort_order'  => $result['sort_order'],
				'edit'        => $this->url->link('catalog/forum/edit', 'token=' . $this->session->data['token'] . '&forum_id=' . $result['forum_id'] . $url, 'SSL'),
				'delete'      => $this->url->link('catalog/forum/delete', 'token=' . $this->session->data['token'] . '&forum_id=' . $result['forum_id'] . $url, 'SSL')
			);
		}

	if (isset($this->request->get['path'])) {
			if ($this->request->get['path'] != '') {
				$this->path = explode('_', $this->request->get['path']);
				$this->forum_id = end($this->path);
				$this->session->data['path'] = $this->request->get['path'];
			} else {
				unset($this->session->data['path']);
			}
		} elseif (isset($this->session->data['path'])) {
			$this->path = explode('_', $this->session->data['path']);
			$this->forum_id = end($this->path);
		}

		$data['forums'] = $this->getForums(0);

		$forum_total = count($data['forums']);

		$data['heading_title'] = $this->language->get('heading_title');

		$data['text_list'] = $this->language->get('text_list');
		$data['text_no_results'] = $this->language->get('text_no_results');
		$data['text_confirm'] = $this->language->get('text_confirm');

		$data['column_name'] = $this->language->get('column_name');
		$data['column_sort_order'] = $this->language->get('column_sort_order');
		$data['column_action'] = $this->language->get('column_action');

		$data['button_add'] = $this->language->get('button_add');
		$data['button_edit'] = $this->language->get('button_edit');
		$data['button_delete'] = $this->language->get('button_delete');
		$data['button_rebuild'] = $this->language->get('button_rebuild');

		if (isset($this->error['warning'])) {
			$data['error_warning'] = $this->error['warning'];
		} else {
			$data['error_warning'] = '';
		}

		if (isset($this->session->data['success'])) {
			$data['success'] = $this->session->data['success'];

			unset($this->session->data['success']);
		} else {
			$data['success'] = '';
		}

		if (isset($this->request->post['selected'])) {
			$data['selected'] = (array)$this->request->post['selected'];
		} else {
			$data['selected'] = array();
		}

		$url = '';

		

		if (isset($this->request->get['page'])) {
			$url .= '&page=' . $this->request->get['page'];
		}

		
		$url = '';

		

		if (isset($this->request->get['path'])) {
			$url .= '&path=' . $this->request->get['path'];
		}

		$pagination = new Pagination();
		$pagination->total = $forum_total;
		$pagination->page = $page;
		$pagination->limit = $this->config->get('config_limit_admin');
		$pagination->url = $this->url->link('catalog/forum', 'token=' . $this->session->data['token'] . $url . '&page={page}', 'SSL');

		$data['pagination'] = $pagination->render();

		$data['results'] = sprintf($this->language->get('text_pagination'), ($forum_total) ? (($page - 1) * $this->config->get('config_limit_admin')) + 1 : 0, ((($page - 1) * $this->config->get('config_limit_admin')) > ($forum_total - $this->config->get('config_limit_admin'))) ? $forum_total : ((($page - 1) * $this->config->get('config_limit_admin')) + $this->config->get('config_limit_admin')), $forum_total, ceil($forum_total / $this->config->get('config_limit_admin')));

		

		$data['header'] = $this->load->controller('common/header');
		$data['column_left'] = $this->load->controller('common/column_left');
		$data['footer'] = $this->load->controller('common/footer');

		$this->response->setOutput($this->load->view('catalog/forum_list.tpl', $data));
	}

	protected function getForm() {
		$data['heading_title'] = $this->language->get('heading_title');
        $this->document->addScript('view/javascript/smail.js');
		$data['text_form'] = !isset($this->request->get['category_id']) ? $this->language->get('text_add') : $this->language->get('text_edit');
		$data['text_none'] = $this->language->get('text_none');
		$data['text_default'] = $this->language->get('text_default');
		$data['text_enabled'] = $this->language->get('text_enabled');
		$data['text_disabled'] = $this->language->get('text_disabled');
        $data['text_new'] = $this->language->get('text_new');
        $data['text_note'] = $this->language->get('text_note');
        $data['text_loading'] = $this->language->get('text_loading');
        $data['button'] = $this->language->get('button');
		$data['entry_name'] = $this->language->get('entry_name');
		$data['entry_description'] = $this->language->get('entry_description');
		$data['entry_meta_title'] = $this->language->get('entry_meta_title');
		$data['entry_meta_h1'] = $this->language->get('entry_meta_h1');
		$data['entry_meta_description'] = $this->language->get('entry_meta_description');
		$data['entry_meta_keyword'] = $this->language->get('entry_meta_keyword');
		$data['entry_keyword'] = $this->language->get('entry_keyword');
		$data['entry_parent'] = $this->language->get('entry_parent');
		$data['entry_filter'] = $this->language->get('entry_filter');
		$data['entry_store'] = $this->language->get('entry_store');
		$data['entry_image'] = $this->language->get('entry_image');
		$data['entry_top'] = $this->language->get('entry_top');
		$data['entry_column'] = $this->language->get('entry_column');
		$data['entry_sort_order'] = $this->language->get('entry_sort_order');
		$data['entry_status'] = $this->language->get('entry_status');
		$data['entry_layout'] = $this->language->get('entry_layout');

		$data['help_filter'] = $this->language->get('help_filter');
		$data['help_keyword'] = $this->language->get('help_keyword');
		$data['help_top'] = $this->language->get('help_top');
		$data['help_column'] = $this->language->get('help_column');

		$data['button_save'] = $this->language->get('button_save');
		$data['button_cancel'] = $this->language->get('button_cancel');

		$data['tab_general'] = $this->language->get('tab_general');
		$data['tab_data'] = $this->language->get('tab_data');
		$data['tab_design'] = $this->language->get('tab_design');

		if (isset($this->error['warning'])) {
			$data['error_warning'] = $this->error['warning'];
		} else {
			$data['error_warning'] = '';
		}

		if (isset($this->error['name'])) {
			$data['error_name'] = $this->error['name'];
		} else {
			$data['error_name'] = array();
		}

		if (isset($this->error['keyword'])) {
			$data['error_keyword'] = $this->error['keyword'];
		} else {
			$data['error_keyword'] = '';
		}

		$url = '';

		if (isset($this->request->get['sort'])) {
			$url .= '&sort=' . $this->request->get['sort'];
		}

		if (isset($this->request->get['order'])) {
			$url .= '&order=' . $this->request->get['order'];
		}

		if (isset($this->request->get['page'])) {
			$url .= '&page=' . $this->request->get['page'];
		}

		$data['breadcrumbs'] = array();

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_home'),
			'href' => $this->url->link('common/dashboard', 'token=' . $this->session->data['token'], 'SSL')
		);

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('heading_title'),
			'href' => $this->url->link('catalog/forum', 'token=' . $this->session->data['token'] . $url, 'SSL')
		);

		if (!isset($this->request->get['forum_id'])) {
			$data['action'] = $this->url->link('catalog/forum/add', 'token=' . $this->session->data['token'] . $url, 'SSL');
		} else {
			$data['action'] = $this->url->link('catalog/forum/edit', 'token=' . $this->session->data['token'] . '&forum_id=' . $this->request->get['forum_id'] . $url, 'SSL');
		}

		$data['cancel'] = $this->url->link('catalog/forum', 'token=' . $this->session->data['token'] . $url, 'SSL');

		if (isset($this->request->get['forum_id']) && ($this->request->server['REQUEST_METHOD'] != 'POST')) {
			$forum_info = $this->model_catalog_forum->getForum($this->request->get['forum_id']);
		}

                if (isset($this->request->get['forum_id'])) {
                 $data['forum_id'] = $this->request->get['forum_id'];
                 }

		$data['token'] = $this->session->data['token'];
		$data['ckeditor'] = $this->config->get('config_editor_default');

		$this->load->model('localisation/language');

		$data['languages'] = $this->model_localisation_language->getLanguages();

		$data['lang'] = $this->language->get('lang');

		if (isset($this->request->post['forum_description'])) {
			$data['forum_description'] = $this->request->post['forum_description'];
		} elseif (isset($this->request->get['forum_id'])) {
			$data['forum_description'] = $this->model_catalog_forum->getForumDescriptions($this->request->get['forum_id']);
		} else {
			$data['forum_description'] = array();
		}

		// Categories
		$forums = $this->model_catalog_forum->getAllForums();

		$data['forums'] = $this->getAllForums($forums);

		if (isset($forum_info)) {
			unset($data['forums'][$forum_info['forum_id']]);
		}

		if (isset($this->request->post['path'])) {
			$data['path'] = $this->request->post['path'];
		} elseif (!empty($forum_info)) {
			$data['path'] = $forum_info['path'];
		} else {
			$data['path'] = '';
		}

		if (isset($this->request->post['parent_id'])) {
			$data['parent_id'] = $this->request->post['parent_id'];
		} elseif (!empty($forum_info)) {
			$data['parent_id'] = $forum_info['parent_id'];
			$forum_prr = $this->model_catalog_forum->getForum($forum_info['parent_id']);
			if (!empty($forum_prr)) {$data['prr'] = $forum_prr['top'];} else {$data['prr'] = false;}
		} else {
			$data['parent_id'] = 0;
			$data['prr'] = false;
		}
		

		if (isset($this->request->post['keyword'])) {
			$data['keyword'] = $this->request->post['keyword'];
		} elseif (!empty($forum_info)) {
			$data['keyword'] = $forum_info['keyword'];
		} else {
			$data['keyword'] = '';
		}

		if (isset($this->request->post['image'])) {
			$data['image'] = $this->request->post['image'];
		} elseif (!empty($forum_info)) {
			$data['image'] = $forum_info['image'];
		} else {
			$data['image'] = '';
		}

		$this->load->model('tool/image');

		if (isset($this->request->post['image']) && is_file(DIR_IMAGE . $this->request->post['image'])) {
			$data['thumb'] = $this->model_tool_image->resize($this->request->post['image'], 100, 100);
		} elseif (!empty($forum_info) && is_file(DIR_IMAGE . $forum_info['image'])) {
			$data['thumb'] = $this->model_tool_image->resize($forum_info['image'], 100, 100);
		} else {
			$data['thumb'] = $this->model_tool_image->resize('no_image.png', 100, 100);
		}

		$data['placeholder'] = $this->model_tool_image->resize('no_image.png', 100, 100);

		if (isset($this->request->post['top'])) {
			$data['top'] = $this->request->post['top'];
		} elseif (!empty($forum_info)) {
			$data['top'] = $forum_info['top'];
		} else {
			$data['top'] = 0;
		}

		if (isset($this->request->post['column'])) {
			$data['column'] = $this->request->post['column'];
		} elseif (!empty($forum_info)) {
			$data['column'] = $forum_info['column'];
		} else {
			$data['column'] = 1;
		}

		if (isset($this->request->post['sort_order'])) {
			$data['sort_order'] = $this->request->post['sort_order'];
		} elseif (!empty($forum_info)) {
			$data['sort_order'] = $forum_info['sort_order'];
		} else {
			$data['sort_order'] = 0;
		}

		if (isset($this->request->post['status'])) {
			$data['status'] = $this->request->post['status'];
		} elseif (!empty($forum_info)) {
			$data['status'] = $forum_info['status'];
		} else {
			$data['status'] = true;
		}

		if (isset($this->request->post['customer_id'])) {
			$data['customer_id'] = $this->request->post['customer_id'];
		} elseif (!empty($forum_info)) {
			$data['customer_id'] = $forum_info['customer_id'];
		} else {
			$data['customer_id'] = 0;
		}

		$data['header'] = $this->load->controller('common/header');
		$data['column_left'] = $this->load->controller('common/column_left');
		$data['footer'] = $this->load->controller('common/footer');

		$this->response->setOutput($this->load->view('catalog/forum_form.tpl', $data));
	}

	protected function validateForm() {
		if (!$this->user->hasPermission('modify', 'catalog/forum')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}

		foreach ($this->request->post['forum_description'] as $language_id => $value) {
			if ((utf8_strlen($value['name']) < 2) || (utf8_strlen($value['name']) > 255)) {
				$this->error['name'][$language_id] = $this->language->get('error_name');
			}
		}

		

		return !$this->error;
	}

	protected function validateDelete() {
		if (!$this->user->hasPermission('modify', 'catalog/forum')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}

		return !$this->error;
	}

	

	private function getForums($parent_id, $parent_path = '', $indent = '') {
		$forum_id = array_shift($this->path);

		$output = array();

		static $href_category = null;
		static $href_action = null;

		if ($href_category === null) {
			$href_category = $this->url->link('catalog/forum', 'token=' . $this->session->data['token'] . '&path=', 'SSL');
			$href_action = $this->url->link('catalog/forum/update', 'token=' . $this->session->data['token'] . '&forum_id=', 'SSL');
		}

		$url = '';

		if (isset($this->request->get['sort'])) {
			$url .= '&sort=' . $this->request->get['sort'];
		}

		if (isset($this->request->get['order'])) {
			$url .= '&order=' . $this->request->get['order'];
		}

		if (isset($this->request->get['page'])) {
			$url .= '&page=' . $this->request->get['page'];
		}

		$results = $this->model_catalog_forum->getForumsByParentId($parent_id);

		foreach ($results as $result) {
			$path = $parent_path . $result['forum_id'];

			$href = ($result['children']) ? $href_category . $path : '';

			$name = $result['name'];

			if ($forum_id == $result['forum_id']) {
				$name = '<b style="color:red">' . $name . '</b>';

				$data['breadcrumbs'][] = array(
					'text'      => $result['name'],
					'href'      => $href,
					'separator' => ' :: '
				);

				$href = '';
			}

			$selected = isset($this->request->post['selected']) && in_array($result['forum_id'], $this->request->post['selected']);

			$action = array();

			$action[] = array(
				'text' => $this->language->get('text_edit'), 
				'href' => $href_action . $result['forum_id']
			);

			$output[$result['forum_id']] = array(
				'forum_id' => $result['forum_id'],
				'name'        => $name,
				'top'        => $result['top'],
				'sort_order'  => $result['sort_order'],
				'selected'    => $selected,
				'action'      => $action,
				'edit'        => $this->url->link('catalog/forum/edit', 'token=' . $this->session->data['token'] . '&forum_id=' . $result['forum_id'] . $url, 'SSL'),
				'delete'      => $this->url->link('catalog/forum/delete', 'token=' . $this->session->data['token'] . '&forum_id=' . $result['forum_id'] . $url, 'SSL'),
				'href'        => $href,
				'indent'      => $indent
			);

			if ($forum_id == $result['forum_id']) {
				$output += $this->getForums($result['forum_id'], $path . '_', $indent . str_repeat('&nbsp;', 8));
			}
		}

		return $output;
	}

	private function getAllForums($forums, $parent_id = 0, $parent_name = '') {
		$output = array();

		if (array_key_exists($parent_id, $forums)) {
			if ($parent_name != '') {
				$parent_name .= $this->language->get('text_separator');
			}

			foreach ($forums[$parent_id] as $forum) {
				$output[$forum['forum_id']] = array(
					'forum_id' => $forum['forum_id'],
					'name'        => $parent_name . $forum['name']
				);

				$output += $this->getAllForums($forums, $forum['forum_id'], $parent_name . $forum['name']);
			}
		}

		return $output;
	}

	public function autocomplete() {
		$json = array();

		if (isset($this->request->get['filter_name'])) {
			$this->load->model('catalog/forum');

			$filter_data = array(
				'filter_name' => $this->request->get['filter_name'],
				'sort'        => 'name',
				'order'       => 'ASC',
				'start'       => 0,
				'limit'       => 50
			);

			$results = $this->model_catalog_forum->getForums($filter_data);

			foreach ($results as $result) {
				$json[] = array(
					'category_id' => $result['forum_id'],
					'top' => $result['top'],
					'name'        => strip_tags(html_entity_decode($result['name'], ENT_QUOTES, 'UTF-8'))
				);
			}
		}

		$sort_order = array();

		foreach ($json as $key => $value) {
			$sort_order[$key] = $value['name'];
		}

		array_multisort($sort_order, SORT_ASC, $json);

		$this->response->addHeader('Content-Type: application/json');
		$this->response->setOutput(json_encode($json));
	}

public function review() {

      		$this->language->load('catalog/forum');

		$this->load->model('catalog/forum');

                require_once(DIR_SYSTEM . 'library/bbcode/Parser.php');

		$data['text_no_reviews'] = $this->language->get('text_no_reviewssp');

		if (isset($this->request->get['page'])) {
			$page = $this->request->get['page'];
		} else {
			$page = 1;
		}

		$data['reviews'] = array();
$data['token'] = $this->session->data['token'];
if (isset($this->request->get['forum_id'])) {
$data['forum_id'] = $this->request->get['forum_id'];
}
		$review_total = $this->model_catalog_forum->getTotalReviewsByCatId($this->request->get['forum_id']);

		$results = $this->model_catalog_forum->getReviewsByCatId($this->request->get['forum_id'], ($page - 1) * 5, 5);

		foreach ($results as $result) {

               $parser = new JBBCode\Parser();
                        $parser->addBBCode(":)", '<img class="bbimage" alt="" width="100" src="/catalog/view/theme/default/stylesheet/img/smiles/0808.gif"></a>', true, true);
                        $parser->addBBCode("quote", '<div class="quote v2"><cite class="v1">{option} писал(а):</cite>{param}</div>', true, true);
			$parser->addBBCode("quote", '<div class="quote">{param}</div>', false, false);
			$parser->addBBCode("size", '<span style="font-size:{option}%;">{param}</span>', true, true);
                        $parser->addBBCode("font", '<span style="font-family:{option};">{param}</span>', true, true);
			$parser->addBBCode("code", '<pre class="code">{param}</pre>', false, false, 1);
			$parser->addBBCode("video", '<div style="overflow:hidden; "><iframe width="300" height="200" src="http://www.youtube.com/embed/{param}" frameborder="0" allowfullscreen></iframe></div>', false, false, 1);
			$parser->addBBCode("img", '<a href="{param}" class="colorbox" style="overflow: hidden;"><img class="bbimage" alt="" width="100" src="{param}"></a>');
			$parser->addBBCode("url", '<a href="{param}" target="_blank" rel="nofollow">{param}</a>', false, false);
                        $parser->addCodeDefinitionSet(new JBBCode\DefaultCodeDefinitionSet());
 
                        $parser->parse(htmlentities($result['text']));
                        $text = $parser->getAsHtml();
$newtext = str_replace($smail, $grafic, $text);


			$data['reviews'][] = array(
				'author'     => $result['name'],
				'text'       =>  $newtext,
				'cat_id'    =>   $result['cat_id'],
 
				'date_added' => date($this->language->get('date_format_shortsp'), strtotime($result['date_added']))
			);
		}

		$pagination = new Pagination();
		$pagination->total = $review_total;
		$pagination->page = $page;
		$pagination->limit = 5;
		$pagination->url = $this->url->link('catalog/forum/review', 'token=' . $this->session->data['token'] . '&forum_id=' . $this->request->get['forum_id'] . '&page={page}', 'SSL');

		$data['pagination'] = $pagination->render();

		$data['results'] = sprintf($this->language->get('text_paginationsp'), ($review_total) ? (($page - 1) * 5) + 1 : 0, ((($page - 1) * 5) > ($review_total - 5)) ? $review_total : ((($page - 1) * 5) + 5), $review_total, ceil($review_total / 5));

		if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . 'catalog/review_forum.tpl')) {
			$this->response->setOutput($this->load->view($this->config->get('config_template') . 'catalog/review_forum.tpl', $data));
		} else {
			$this->response->setOutput($this->load->view('catalog/review_forum.tpl', $data));
		}
	}

	public function write() {
		$this->language->load('catalog/forum');

		$json = array();

		
               if ($this->request->server['REQUEST_METHOD'] == 'POST') {
if (!$this->user->hasPermission('modify', 'catalog/forum')) {
			$json['error'] = $this->language->get('error_permission');
		}

			if ((utf8_strlen($this->request->post['name']) < 2) || (utf8_strlen($this->request->post['name']) > 25)) {
				$json['error'] = $this->language->get('error_namesp');
			}

			if ((utf8_strlen($this->request->post['text']) < 1) || (utf8_strlen($this->request->post['text']) > 10000)) {
				$json['error'] = $this->language->get('error_textsp');
			}


			if (!isset($json['error'])) {
				$this->load->model('catalog/forum');

				$this->model_catalog_forum->addRevcat($this->request->get['forum_id'], $this->request->post);

				$json['success'] = $this->language->get('text_successsp');
			}
		}

		$this->response->addHeader('Content-Type: application/json');
		$this->response->setOutput(json_encode($json));
	}

public function delett() {
$this->language->load('catalog/forum');

$json = array();
if (!$this->user->hasPermission('modify', 'catalog/forum')) {
			$json['error'] = $this->language->get('error_permission');
		} 
if (!isset($json['error'])) {
if (isset($this->request->get['cat_id'])) {
				$this->load->model('catalog/forum');

				$this->model_catalog_forum->Delett($this->request->get['cat_id']);

				$json['success'] = 'Удалено';
			}
}
$this->response->addHeader('Content-Type: application/json');
		$this->response->setOutput(json_encode($json));
}

public function serq() {

if ($this->request->server['REQUEST_METHOD'] == 'POST') {
if (!$this->user->hasPermission('modify', 'catalog/forum')) {
			$error = $this->language->get('error_permission');
		} 
			if ((utf8_strlen($this->request->post['text']) < 1) || (utf8_strlen($this->request->post['text']) > 10000)) {
				$error = $this->language->get('error_textsp');
			}
if (!isset($error)) {
				$this->load->model('catalog/forum');

				$this->model_catalog_forum->serqadd($this->request->get['cat_id'], $this->request->post);
$this->response->redirect($this->url->link('catalog/forum/edit', 'token=' . $this->session->data['token'] . '&forum_id=' . $this->request->get['forum_id'], 'SSL'));
				
			} else {
$data['error'] = $error;

$this->response->redirect($this->url->link('catalog/forum/sssr', 'token=' . $this->session->data['token'] . '&forum_id=' . $this->request->get['forum_id'] . '&cat_id=' . $this->request->get['cat_id'], 'SSL'));
}

}
}


public function delrep() {
$json = array();
if (isset($this->request->get['rep_id'])) {
				$this->load->model('catalog/forum');
$this->model_catalog_forum->setrepdel($this->request->get['rep_id']);
$json['success'] = 'Удалено';
}
$this->response->addHeader('Content-Type: application/json');
		$this->response->setOutput(json_encode($json));
}
public function setrep() {
$json = array();
if (isset($this->request->get['user_id'])) {
				$this->load->model('catalog/forum');
$this->model_catalog_forum->setrepok($this->request->get['user_id'], $this->request->get['nomer'], $this->request->get['rep_id']);
$json['success'] = 'Добавлено';
} else {
$json['success'] = 'Не Добавлено';
}
$this->response->addHeader('Content-Type: application/json');
		$this->response->setOutput(json_encode($json));
}


protected function validateRepair() {
		if (!$this->user->hasPermission('modify', 'catalog/forum')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}

		return !$this->error;
	}


}