<?php
/**
* @Автор С.Н.Демченко <probnick1977@mail.ru>
* @Автор Елена Д.
* @Автор ms Series
* @версия 2.1 (продажа: 700 руб)
*/
class ModelCatalogForum extends Model {

public function addForum($data) {
		

		$this->db->query("INSERT INTO " . DB_PREFIX . "forum SET parent_id = '" . (int)$data['parent_id'] . "', `top` = '" . (isset($data['top']) ? (int)$data['top'] : 0) . "', `column` = '" . (int)$data['column'] . "', sort_order = '" . (int)$data['sort_order'] . "', status = '" . (int)$data['status'] . "', customer_id = 0, date_modified = NOW(), date_added = NOW()");

		$forum_id = $this->db->getLastId();

		if (isset($data['image'])) {
			$this->db->query("UPDATE " . DB_PREFIX . "forum SET image = '" . $this->db->escape($data['image']) . "' WHERE forum_id = '" . (int)$forum_id . "'");
		}

		foreach ($data['forum_description'] as $language_id => $value) {
			$this->db->query("INSERT INTO " . DB_PREFIX . "forum_description SET forum_id = '" . (int)$forum_id . "', language_id = '" . (int)$language_id . "', name = '" . $this->db->escape($value['name']) . "', description = '" . $this->db->escape($value['description']) . "', meta_title = '" . $this->db->escape($value['meta_title']) . "', meta_h1 = '" . $this->db->escape($value['meta_h1']) . "', meta_description = '" . $this->db->escape($value['meta_description']) . "', meta_keyword = '" . $this->db->escape($value['meta_keyword']) . "'");
		}

		// MySQL Hierarchical Data Closure Table Pattern
		$level = 0;

		$query = $this->db->query("SELECT * FROM `" . DB_PREFIX . "forum_path` WHERE forum_id = '" . (int)$data['parent_id'] . "' ORDER BY `level` ASC");

		foreach ($query->rows as $result) {
			$this->db->query("INSERT INTO `" . DB_PREFIX . "forum_path` SET `forum_id` = '" . (int)$forum_id . "', `path_id` = '" . (int)$result['path_id'] . "', `level` = '" . (int)$level . "'");

			$level++;
		}

		$this->db->query("INSERT INTO `" . DB_PREFIX . "forum_path` SET `forum_id` = '" . (int)$forum_id . "', `path_id` = '" . (int)$forum_id . "', `level` = '" . (int)$level . "'");

               if (isset($data['keyword'])) {
			$this->db->query("INSERT INTO " . DB_PREFIX . "url_alias SET query = 'form=" . (int)$forum_id . "', keyword = '" . $this->db->escape($data['keyword']) . "'");
		}

		$this->cache->delete('forum');

		return $forum_id;
	}

         public function editForum($forum_id, $data) {
		

		$this->db->query("UPDATE " . DB_PREFIX . "forum SET parent_id = '" . (int)$data['parent_id'] . "', `top` = '" . (isset($data['top']) ? (int)$data['top'] : 0) . "', `column` = '" . (int)$data['column'] . "', sort_order = '" . (int)$data['sort_order'] . "', status = '" . (int)$data['status'] . "', customer_id = '" . (int)$data['customer_id'] . "', date_modified = NOW() WHERE forum_id = '" . (int)$forum_id . "'");

		if (isset($data['image'])) {
			$this->db->query("UPDATE " . DB_PREFIX . "forum SET image = '" . $this->db->escape($data['image']) . "' WHERE forum_id = '" . (int)$forum_id . "'");
		}

		$this->db->query("DELETE FROM " . DB_PREFIX . "forum_description WHERE forum_id = '" . (int)$forum_id . "'");

		foreach ($data['forum_description'] as $language_id => $value) {
			$this->db->query("INSERT INTO " . DB_PREFIX . "forum_description SET forum_id = '" . (int)$forum_id . "', language_id = '" . (int)$language_id . "', name = '" . $this->db->escape($value['name']) . "', description = '" . $this->db->escape($value['description']) . "', meta_title = '" . $this->db->escape($value['meta_title']) . "', meta_h1 = '" . $this->db->escape($value['meta_h1']) . "', meta_description = '" . $this->db->escape($value['meta_description']) . "', meta_keyword = '" . $this->db->escape($value['meta_keyword']) . "'");
		}

		// MySQL Hierarchical Data Closure Table Pattern
		$query = $this->db->query("SELECT * FROM `" . DB_PREFIX . "forum_path` WHERE path_id = '" . (int)$forum_id . "' ORDER BY level ASC");

		if ($query->rows) {
			foreach ($query->rows as $forum_path) {
				// Delete the path below the current one
				$this->db->query("DELETE FROM `" . DB_PREFIX . "forum_path` WHERE forum_id = '" . (int)$forum_path['forum_id'] . "' AND level < '" . (int)$forum_path['level'] . "'");

				$path = array();

				// Get the nodes new parents
				$query = $this->db->query("SELECT * FROM `" . DB_PREFIX . "forum_path` WHERE forum_id = '" . (int)$data['parent_id'] . "' ORDER BY level ASC");

				foreach ($query->rows as $result) {
					$path[] = $result['path_id'];
				}

				// Get whats left of the nodes current path
				$query = $this->db->query("SELECT * FROM `" . DB_PREFIX . "forum_path` WHERE forum_id = '" . (int)$forum_path['forum_id'] . "' ORDER BY level ASC");

				foreach ($query->rows as $result) {
					$path[] = $result['path_id'];
				}

				// Combine the paths with a new level
				$level = 0;

				foreach ($path as $path_id) {
					$this->db->query("REPLACE INTO `" . DB_PREFIX . "forum_path` SET forum_id = '" . (int)$forum_path['forum_id'] . "', `path_id` = '" . (int)$path_id . "', level = '" . (int)$level . "'");

					$level++;
				}
			}
		} else {
			// Delete the path below the current one
			$this->db->query("DELETE FROM `" . DB_PREFIX . "forum_path` WHERE forum_id = '" . (int)$forum_id . "'");

			// Fix for records with no paths
			$level = 0;

			$query = $this->db->query("SELECT * FROM `" . DB_PREFIX . "forum_path` WHERE forum_id = '" . (int)$data['parent_id'] . "' ORDER BY level ASC");

			foreach ($query->rows as $result) {
				$this->db->query("INSERT INTO `" . DB_PREFIX . "forum_path` SET forum_id = '" . (int)$forum_id . "', `path_id` = '" . (int)$result['path_id'] . "', level = '" . (int)$level . "'");

				$level++;
			}

			$this->db->query("REPLACE INTO `" . DB_PREFIX . "forum_path` SET forum_id = '" . (int)$forum_id . "', `path_id` = '" . (int)$forum_id . "', level = '" . (int)$level . "'");
		}
$this->db->query("DELETE FROM " . DB_PREFIX . "url_alias WHERE query = 'form=" . (int)$forum_id . "'");
               if ($data['keyword']) {
			$this->db->query("INSERT INTO " . DB_PREFIX . "url_alias SET query = 'form=" . (int)$forum_id . "', keyword = '" . $this->db->escape($data['keyword']) . "'");
		}


		$this->cache->delete('forum');

		
	}
public function getForum($forum_id) {
		$query = $this->db->query("SELECT DISTINCT *, (SELECT GROUP_CONCAT(cd1.name ORDER BY level SEPARATOR '&nbsp;&nbsp;&gt;&nbsp;&nbsp;') FROM " . DB_PREFIX . "forum_path cp LEFT JOIN " . DB_PREFIX . "forum_description cd1 ON (cp.path_id = cd1.forum_id AND cp.forum_id != cp.path_id) WHERE cp.forum_id = c.forum_id AND cd1.language_id = '" . (int)$this->config->get('config_language_id') . "' GROUP BY cp.forum_id) AS path, (SELECT DISTINCT keyword FROM " . DB_PREFIX . "url_alias WHERE query = 'paths=" . (int)$forum_id . "') AS keyword FROM " . DB_PREFIX . "forum c LEFT JOIN " . DB_PREFIX . "forum_description cd2 ON (c.forum_id = cd2.forum_id) WHERE c.forum_id = '" . (int)$forum_id . "' AND cd2.language_id = '" . (int)$this->config->get('config_language_id') . "'");

		return $query->row;
	}

         public function deleteForum($forum_id) {
		

		$this->db->query("DELETE FROM " . DB_PREFIX . "forum_path WHERE forum_id = '" . (int)$forum_id . "'");

		$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "forum_path WHERE path_id = '" . (int)$forum_id . "'");

		foreach ($query->rows as $result) {
			$this->deleteForum($result['forum_id']);
		}

		$this->db->query("DELETE FROM " . DB_PREFIX . "forum WHERE forum_id = '" . (int)$forum_id . "'");
		$this->db->query("DELETE FROM " . DB_PREFIX . "forum_description WHERE forum_id = '" . (int)$forum_id . "'");
		$this->db->query("DELETE FROM " . DB_PREFIX . "url_alias WHERE query = 'form=" . (int)$forum_id . "'");
        $this->db->query("DELETE FROM " . DB_PREFIX . "forum_review WHERE cat_id = '" . (int)$forum_id . "'");
		$this->cache->delete('forum');

		
	}

public function getForumDescriptions($forum_id) {
		$forum_description_data = array();

		$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "forum_description WHERE forum_id = '" . (int)$forum_id . "'");

		foreach ($query->rows as $result) {
			$forum_description_data[$result['language_id']] = array(
				'name'             => $result['name'],
				'meta_title'       => $result['meta_title'],
				'meta_h1'          => $result['meta_h1'],
				'meta_description' => $result['meta_description'],
				'meta_keyword'     => $result['meta_keyword'],
				'description'      => $result['description']
			);
		}

		return $forum_description_data;
	}

public function getForums($data = array()) {
		$sql = "SELECT cp.forum_id AS forum_id, GROUP_CONCAT(cd1.name ORDER BY cp.level SEPARATOR '&nbsp;&nbsp;&gt;&nbsp;&nbsp;') AS name, c1.parent_id, c1.sort_order, c1.top FROM " . DB_PREFIX . "forum_path cp LEFT JOIN " . DB_PREFIX . "forum c1 ON (cp.forum_id = c1.forum_id) LEFT JOIN " . DB_PREFIX . "forum c2 ON (cp.path_id = c2.forum_id) LEFT JOIN " . DB_PREFIX . "forum_description cd1 ON (cp.path_id = cd1.forum_id) LEFT JOIN " . DB_PREFIX . "forum_description cd2 ON (cp.forum_id = cd2.forum_id) WHERE cd1.language_id = '" . (int)$this->config->get('config_language_id') . "' AND cd2.language_id = '" . (int)$this->config->get('config_language_id') . "'";

		if (!empty($data['filter_name'])) {
			$sql .= " AND cd2.name LIKE '" . $this->db->escape($data['filter_name']) . "%'";
		}

		$sql .= " GROUP BY cp.forum_id";

		$sort_data = array(
			'name',
			'sort_order'
		);

		if (isset($data['sort']) && in_array($data['sort'], $sort_data)) {
			$sql .= " ORDER BY " . $data['sort'];
		} else {
			$sql .= " ORDER BY sort_order";
		}

		if (isset($data['order']) && ($data['order'] == 'DESC')) {
			$sql .= " DESC";
		} else {
			$sql .= " ASC";
		}

		if (isset($data['start']) || isset($data['limit'])) {
			if ($data['start'] < 0) {
				$data['start'] = 0;
			}

			if ($data['limit'] < 1) {
				$data['limit'] = 20;
			}

			$sql .= " LIMIT " . (int)$data['start'] . "," . (int)$data['limit'];
		}

		$query = $this->db->query($sql);

		return $query->rows;
	}

public function getForumsByParentId($parent_id = 0) {
		$query = $this->db->query("SELECT *, (SELECT COUNT(parent_id) FROM " . DB_PREFIX . "forum WHERE parent_id = c.forum_id) AS children FROM " . DB_PREFIX . "forum c LEFT JOIN " . DB_PREFIX . "forum_description cd ON (c.forum_id = cd.forum_id) WHERE c.parent_id = '" . (int)$parent_id . "' AND cd.language_id = '" . (int)$this->config->get('config_language_id') . "' ORDER BY c.sort_order, cd.name");

		return $query->rows;
	}

public function getTotalForums() {
      
		$query = $this->db->query("SELECT COUNT(*) AS total FROM " . DB_PREFIX . "forum");

		return $query->row['total'];
	}

        public function Fix() {
$query = $this->db->query( "SHOW TABLES LIKE '".DB_PREFIX."forum'");
if(count($query->rows) <= 0){
$sql = "CREATE TABLE IF NOT EXISTS `".DB_PREFIX."forum` (
  `forum_id` int(11) NOT NULL AUTO_INCREMENT,
  `image` varchar(255) NOT NULL,
  `parent_id` int(11) DEFAULT '0',
  `top` tinyint(1) DEFAULT NULL,
  `column` int(3) DEFAULT NULL,
  `sort_order` int(3) DEFAULT '0',
  `status` tinyint(1) DEFAULT NULL,
  `customer_id` int(11) NOT NULL,
  `viewed` int(255) NOT NULL,  
  `date_added` datetime DEFAULT NULL,
  `date_modified` datetime DEFAULT NULL,
  PRIMARY KEY (`forum_id`)
)";
        $this->db->query($sql);
         $sql = "CREATE TABLE IF NOT EXISTS `".DB_PREFIX."forum_description` (
  `forum_id` int(11) NOT NULL,
  `language_id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `meta_title` varchar(255) NOT NULL,
  `meta_h1` varchar(255) NOT NULL,
  `meta_description` varchar(255) NOT NULL,
  `meta_keyword` varchar(255) NOT NULL,
  PRIMARY KEY (`forum_id`,`language_id`),
  KEY `name` (`name`)
)";
        $this->db->query($sql);
         $sql = "CREATE TABLE IF NOT EXISTS `".DB_PREFIX."forum_path` (
  `forum_id` int(11) NOT NULL,
  `path_id` int(11) NOT NULL,
  `level` int(11) NOT NULL,
  PRIMARY KEY (`forum_id`,`path_id`)
)";
        $this->db->query($sql);
         $sql = "CREATE TABLE IF NOT EXISTS `".DB_PREFIX."forum_review` (
  `cat_id` int(11) NOT NULL AUTO_INCREMENT,
  `text_id` int(11) NOT NULL,
  `text` text NOT NULL,
  `name` text NOT NULL,
  `customer_id` int(11) NOT NULL,
  `date_added` datetime NOT NULL,
  PRIMARY KEY (`cat_id`)
)";
        $this->db->query($sql);
  $sql = "CREATE TABLE IF NOT EXISTS `".DB_PREFIX."forum_rep` (
  `rep_id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `user_id_ot` int(11) NOT NULL,
  `text` text NOT NULL,
  `nomer` int(11) NOT NULL,
  `for_id` int(11) NOT NULL,
  `text_id` int(11) NOT NULL,
  `date_added` datetime NOT NULL,
  PRIMARY KEY (`rep_id`)
)";
        $this->db->query($sql);
     $sql = "CREATE TABLE IF NOT EXISTS `".DB_PREFIX."forum_set` (
  `set1` int(11) NOT NULL,
  `set2` int(11) NOT NULL,
  `set3` int(11) NOT NULL,
  `set4` int(11) NOT NULL,
  `set5` int(11) NOT NULL,
  `set6` int(11) NOT NULL,
  `set7` int(11) NOT NULL,
  `set8` int(11) NOT NULL,
`set9` int(11) NOT NULL,
  `set10` int(11) NOT NULL
)";  
 $this->db->query($sql);

 $this->db->query("ALTER TABLE `".DB_PREFIX."customer` ADD COLUMN `avatar` varchar(128) NOT NULL AFTER lastname");       
$this->db->query("ALTER TABLE `".DB_PREFIX."customer` ADD COLUMN `rep` int(11) NOT NULL DEFAULT '0' AFTER lastname");
$sql = "INSERT INTO `".DB_PREFIX."url_alias`(`query`, `keyword`) VALUES ('information/forum','forum')";
 $this->db->query($sql);
}
}

	public function getAllForums() {
		$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "forum c LEFT JOIN " . DB_PREFIX . "forum_description cd ON (c.forum_id = cd.forum_id) WHERE cd.language_id = '" . (int)$this->config->get('config_language_id') . "'  ORDER BY c.parent_id, c.sort_order, cd.name");

		$forum_data = array();
		foreach ($query->rows as $row) {
			$forum_data[$row['parent_id']][$row['forum_id']] = $row;
		}

		return $forum_data;
	}
	
	 public function getReviewsByCatId($forum_id, $start = 0, $limit = 20) {
		if ($start < 0) {
			$start = 0;
		}

		if ($limit < 1) {
			$limit = 20;
		}

		$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "forum_review  WHERE text_id = '" . (int)$forum_id . "' ORDER BY date_added DESC LIMIT " . (int)$start . "," . (int)$limit);

		return $query->rows;
	}


	 public function addRevcat($forum_id, $data) {
		$cat_id = $this->db->getLastId();

		$this->db->query("INSERT INTO " . DB_PREFIX . "forum_review SET name = '" . $this->db->escape($data['name']) . "', customer_id = '0', text = '" . $this->db->escape($data['text']) . "', text_id = '" . (int)$forum_id . "', date_added = NOW()");

		
	}

 public function getTotalReviewsByCatId($forum_id) {
		$query = $this->db->query("SELECT COUNT(*) AS total FROM " . DB_PREFIX . "forum_review  WHERE text_id = '" . (int)$forum_id . "'");

		return $query->row['total'];
	}

public function Delett($cat_id) {
		
		$this->db->query("DELETE FROM " . DB_PREFIX . "forum_review WHERE cat_id = '" . (int)$cat_id . "'");
	}

public function Sssr($cat_id) {
		
		$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "forum_review WHERE cat_id = '" . (int)$cat_id . "'");
return $query->rows;
	}

public function serqadd($cat_id, $data) {
		
		$this->db->query("UPDATE " . DB_PREFIX . "forum_review SET  text = '" . $this->db->escape($data['text']) . "' WHERE cat_id = '" . (int)$cat_id . "'");

	}

 public function getRep() {

			$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "forum_rep");

			return $query->rows;
                                    

                                                                        }
                                                                        
      public function addSet($data) {   
          $this->db->query("DELETE FROM " . DB_PREFIX . "forum_set");
          	$this->db->query("INSERT INTO `" . DB_PREFIX . "forum_set` SET `set1` = '" . (int)$data['set1'] . "', `set2` = '" . (int)$data['set2'] . "', `set3` = '" . (int)$data['set3'] . "', `set4` = '" . (int)$data['set4'] . "'");
          
      }
      public function getSet() {
         $query = $this->db->query("SELECT * FROM " . DB_PREFIX . "forum_set");

			return $query->row; 
      }

 public function setrepdel($rep_id) { 
$this->db->query("DELETE FROM " . DB_PREFIX . "forum_rep WHERE rep_id = '" . (int)$rep_id . "'");

}

public function getUser($customer_id) {

			$query = $this->db->query("SELECT DISTINCT * FROM " . DB_PREFIX . "customer WHERE customer_id = '" . (int)$customer_id . "' AND status = '1'");

			return $query->row;
                                                                        }

 public function setrepok($user_id, $nomer, $id) { 
$query = $this->db->query("SELECT DISTINCT rep FROM " . DB_PREFIX . "customer WHERE customer_id = '" . (int)$user_id . "' AND status = '1'");
$nom = $query->row['rep'];
$wew = $nom + $nomer;
$this->db->query("UPDATE " . DB_PREFIX . "customer SET  rep = '" . (int)$wew . "' WHERE customer_id = '" . (int)$user_id . "'");
$this->db->query("DELETE FROM " . DB_PREFIX . "forum_rep WHERE rep_id = '" . (int)$id . "'");
}

}
